/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2019 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.materialdesign;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum MaterialDesign implements Ikon {
    MDI_ACCESS_POINT("mdi-access-point", '\uf002'),
    MDI_ACCESS_POINT_NETWORK("mdi-access-point-network", '\uf003'),
    MDI_ACCOUNT("mdi-account", '\uf004'),
    MDI_ACCOUNT_ALERT("mdi-account-alert", '\uf005'),
    MDI_ACCOUNT_BOX("mdi-account-box", '\uf006'),
    MDI_ACCOUNT_BOX_OUTLINE("mdi-account-box-outline", '\uf007'),
    MDI_ACCOUNT_CARD_DETAILS("mdi-account-card-details", '\uf5d2'),
    MDI_ACCOUNT_CHECK("mdi-account-check", '\uf008'),
    MDI_ACCOUNT_CIRCLE("mdi-account-circle", '\uf009'),
    MDI_ACCOUNT_CONVERT("mdi-account-convert", '\uf00a'),
    MDI_ACCOUNT_KEY("mdi-account-key", '\uf00b'),
    MDI_ACCOUNT_LOCATION("mdi-account-location", '\uf00c'),
    MDI_ACCOUNT_MINUS("mdi-account-minus", '\uf00d'),
    MDI_ACCOUNT_MULTIPLE("mdi-account-multiple", '\uf00e'),
    MDI_ACCOUNT_MULTIPLE_MINUS("mdi-account-multiple-minus", '\uf5d3'),
    MDI_ACCOUNT_MULTIPLE_OUTLINE("mdi-account-multiple-outline", '\uf00f'),
    MDI_ACCOUNT_MULTIPLE_PLUS("mdi-account-multiple-plus", '\uf010'),
    MDI_ACCOUNT_NETWORK("mdi-account-network", '\uf011'),
    MDI_ACCOUNT_OFF("mdi-account-off", '\uf012'),
    MDI_ACCOUNT_OUTLINE("mdi-account-outline", '\uf013'),
    MDI_ACCOUNT_PLUS("mdi-account-plus", '\uf014'),
    MDI_ACCOUNT_REMOVE("mdi-account-remove", '\uf015'),
    MDI_ACCOUNT_SEARCH("mdi-account-search", '\uf016'),
    MDI_ACCOUNT_SETTINGS("mdi-account-settings", '\uf630'),
    MDI_ACCOUNT_SETTINGS_VARIANT("mdi-account-settings-variant", '\uf631'),
    MDI_ACCOUNT_STAR("mdi-account-star", '\uf017'),
    MDI_ACCOUNT_STAR_VARIANT("mdi-account-star-variant", '\uf018'),
    MDI_ACCOUNT_SWITCH("mdi-account-switch", '\uf019'),
    MDI_ADJUST("mdi-adjust", '\uf01a'),
    MDI_AIRBALLOON("mdi-airballoon", '\uf01c'),
    MDI_AIRPLANE("mdi-airplane", '\uf01d'),
    MDI_AIRPLANE_LANDING("mdi-airplane-landing", '\uf5d4'),
    MDI_AIRPLANE_OFF("mdi-airplane-off", '\uf01e'),
    MDI_AIRPLANE_TAKEOFF("mdi-airplane-takeoff", '\uf5d5'),
    MDI_AIRPLAY("mdi-airplay", '\uf01f'),
    MDI_AIR_CONDITIONER("mdi-air-conditioner", '\uf01b'),
    MDI_ALARM("mdi-alarm", '\uf020'),
    MDI_ALARM_CHECK("mdi-alarm-check", '\uf021'),
    MDI_ALARM_MULTIPLE("mdi-alarm-multiple", '\uf022'),
    MDI_ALARM_OFF("mdi-alarm-off", '\uf023'),
    MDI_ALARM_PLUS("mdi-alarm-plus", '\uf024'),
    MDI_ALARM_SNOOZE("mdi-alarm-snooze", '\uf68d'),
    MDI_ALBUM("mdi-album", '\uf025'),
    MDI_ALERT("mdi-alert", '\uf026'),
    MDI_ALERT_BOX("mdi-alert-box", '\uf027'),
    MDI_ALERT_CIRCLE("mdi-alert-circle", '\uf028'),
    MDI_ALERT_CIRCLE_OUTLINE("mdi-alert-circle-outline", '\uf5d6'),
    MDI_ALERT_OCTAGON("mdi-alert-octagon", '\uf029'),
    MDI_ALERT_OUTLINE("mdi-alert-outline", '\uf02a'),
    MDI_ALPHA("mdi-alpha", '\uf02b'),
    MDI_ALPHABETICAL("mdi-alphabetical", '\uf02c'),
    MDI_ALTIMETER("mdi-altimeter", '\uf5d7'),
    MDI_AMAZON("mdi-amazon", '\uf02d'),
    MDI_AMAZON_CLOUDDRIVE("mdi-amazon-clouddrive", '\uf02e'),
    MDI_AMBULANCE("mdi-ambulance", '\uf02f'),
    MDI_AMPLIFIER("mdi-amplifier", '\uf030'),
    MDI_ANCHOR("mdi-anchor", '\uf031'),
    MDI_ANDROID("mdi-android", '\uf032'),
    MDI_ANDROID_DEBUG_BRIDGE("mdi-android-debug-bridge", '\uf033'),
    MDI_ANDROID_STUDIO("mdi-android-studio", '\uf034'),
    MDI_ANGULAR("mdi-angular", '\uf6b1'),
    MDI_ANIMATION("mdi-animation", '\uf5d8'),
    MDI_APPLE("mdi-apple", '\uf035'),
    MDI_APPLE_FINDER("mdi-apple-finder", '\uf036'),
    MDI_APPLE_IOS("mdi-apple-ios", '\uf037'),
    MDI_APPLE_KEYBOARD_CAPS("mdi-apple-keyboard-caps", '\uf632'),
    MDI_APPLE_KEYBOARD_COMMAND("mdi-apple-keyboard-command", '\uf633'),
    MDI_APPLE_KEYBOARD_CONTROL("mdi-apple-keyboard-control", '\uf634'),
    MDI_APPLE_KEYBOARD_OPTION("mdi-apple-keyboard-option", '\uf635'),
    MDI_APPLE_KEYBOARD_SHIFT("mdi-apple-keyboard-shift", '\uf636'),
    MDI_APPLE_MOBILEME("mdi-apple-mobileme", '\uf038'),
    MDI_APPLE_SAFARI("mdi-apple-safari", '\uf039'),
    MDI_APPLICATION("mdi-application", '\uf614'),
    MDI_APPNET("mdi-appnet", '\uf03a'),
    MDI_APPS("mdi-apps", '\uf03b'),
    MDI_ARCHIVE("mdi-archive", '\uf03c'),
    MDI_ARRANGE_BRING_FORWARD("mdi-arrange-bring-forward", '\uf03d'),
    MDI_ARRANGE_BRING_TO_FRONT("mdi-arrange-bring-to-front", '\uf03e'),
    MDI_ARRANGE_SEND_BACKWARD("mdi-arrange-send-backward", '\uf03f'),
    MDI_ARRANGE_SEND_TO_BACK("mdi-arrange-send-to-back", '\uf040'),
    MDI_ARROW_ALL("mdi-arrow-all", '\uf041'),
    MDI_ARROW_BOTTOM_LEFT("mdi-arrow-bottom-left", '\uf042'),
    MDI_ARROW_BOTTOM_RIGHT("mdi-arrow-bottom-right", '\uf043'),
    MDI_ARROW_COMPRESS("mdi-arrow-compress", '\uf615'),
    MDI_ARROW_COMPRESS_ALL("mdi-arrow-compress-all", '\uf044'),
    MDI_ARROW_DOWN("mdi-arrow-down", '\uf045'),
    MDI_ARROW_DOWN_BOLD("mdi-arrow-down-bold", '\uf046'),
    MDI_ARROW_DOWN_BOLD_CIRCLE("mdi-arrow-down-bold-circle", '\uf047'),
    MDI_ARROW_DOWN_BOLD_CIRCLE_OUTLINE("mdi-arrow-down-bold-circle-outline", '\uf048'),
    MDI_ARROW_DOWN_BOLD_HEXAGON_OUTLINE("mdi-arrow-down-bold-hexagon-outline", '\uf049'),
    MDI_ARROW_DOWN_DROP_CIRCLE("mdi-arrow-down-drop-circle", '\uf04a'),
    MDI_ARROW_DOWN_DROP_CIRCLE_OUTLINE("mdi-arrow-down-drop-circle-outline", '\uf04b'),
    MDI_ARROW_EXPAND("mdi-arrow-expand", '\uf616'),
    MDI_ARROW_EXPAND_ALL("mdi-arrow-expand-all", '\uf04c'),
    MDI_ARROW_LEFT("mdi-arrow-left", '\uf04d'),
    MDI_ARROW_LEFT_BOLD("mdi-arrow-left-bold", '\uf04e'),
    MDI_ARROW_LEFT_BOLD_CIRCLE("mdi-arrow-left-bold-circle", '\uf04f'),
    MDI_ARROW_LEFT_BOLD_CIRCLE_OUTLINE("mdi-arrow-left-bold-circle-outline", '\uf050'),
    MDI_ARROW_LEFT_BOLD_HEXAGON_OUTLINE("mdi-arrow-left-bold-hexagon-outline", '\uf051'),
    MDI_ARROW_LEFT_DROP_CIRCLE("mdi-arrow-left-drop-circle", '\uf052'),
    MDI_ARROW_LEFT_DROP_CIRCLE_OUTLINE("mdi-arrow-left-drop-circle-outline", '\uf053'),
    MDI_ARROW_RIGHT("mdi-arrow-right", '\uf054'),
    MDI_ARROW_RIGHT_BOLD("mdi-arrow-right-bold", '\uf055'),
    MDI_ARROW_RIGHT_BOLD_CIRCLE("mdi-arrow-right-bold-circle", '\uf056'),
    MDI_ARROW_RIGHT_BOLD_CIRCLE_OUTLINE("mdi-arrow-right-bold-circle-outline", '\uf057'),
    MDI_ARROW_RIGHT_BOLD_HEXAGON_OUTLINE("mdi-arrow-right-bold-hexagon-outline", '\uf058'),
    MDI_ARROW_RIGHT_DROP_CIRCLE("mdi-arrow-right-drop-circle", '\uf059'),
    MDI_ARROW_RIGHT_DROP_CIRCLE_OUTLINE("mdi-arrow-right-drop-circle-outline", '\uf05a'),
    MDI_ARROW_TOP_LEFT("mdi-arrow-top-left", '\uf05b'),
    MDI_ARROW_TOP_RIGHT("mdi-arrow-top-right", '\uf05c'),
    MDI_ARROW_UP("mdi-arrow-up", '\uf05d'),
    MDI_ARROW_UP_BOLD("mdi-arrow-up-bold", '\uf05e'),
    MDI_ARROW_UP_BOLD_CIRCLE("mdi-arrow-up-bold-circle", '\uf05f'),
    MDI_ARROW_UP_BOLD_CIRCLE_OUTLINE("mdi-arrow-up-bold-circle-outline", '\uf060'),
    MDI_ARROW_UP_BOLD_HEXAGON_OUTLINE("mdi-arrow-up-bold-hexagon-outline", '\uf061'),
    MDI_ARROW_UP_DROP_CIRCLE("mdi-arrow-up-drop-circle", '\uf062'),
    MDI_ARROW_UP_DROP_CIRCLE_OUTLINE("mdi-arrow-up-drop-circle-outline", '\uf063'),
    MDI_ASSISTANT("mdi-assistant", '\uf064'),
    MDI_AT("mdi-at", '\uf065'),
    MDI_ATTACHMENT("mdi-attachment", '\uf066'),
    MDI_AUDIOBOOK("mdi-audiobook", '\uf067'),
    MDI_AUTORENEW("mdi-autorenew", '\uf06a'),
    MDI_AUTO_FIX("mdi-auto-fix", '\uf068'),
    MDI_AUTO_UPLOAD("mdi-auto-upload", '\uf069'),
    MDI_AV_TIMER("mdi-av-timer", '\uf06b'),
    MDI_BABY("mdi-baby", '\uf06c'),
    MDI_BABY_BUGGY("mdi-baby-buggy", '\uf68e'),
    MDI_BACKBURGER("mdi-backburger", '\uf06d'),
    MDI_BACKSPACE("mdi-backspace", '\uf06e'),
    MDI_BACKUP_RESTORE("mdi-backup-restore", '\uf06f'),
    MDI_BANDCAMP("mdi-bandcamp", '\uf674'),
    MDI_BANK("mdi-bank", '\uf070'),
    MDI_BARCODE("mdi-barcode", '\uf071'),
    MDI_BARCODE_SCAN("mdi-barcode-scan", '\uf072'),
    MDI_BARLEY("mdi-barley", '\uf073'),
    MDI_BARREL("mdi-barrel", '\uf074'),
    MDI_BASECAMP("mdi-basecamp", '\uf075'),
    MDI_BASKET("mdi-basket", '\uf076'),
    MDI_BASKET_FILL("mdi-basket-fill", '\uf077'),
    MDI_BASKET_UNFILL("mdi-basket-unfill", '\uf078'),
    MDI_BATTERY("mdi-battery", '\uf079'),
    MDI_BATTERY_10("mdi-battery-10", '\uf07a'),
    MDI_BATTERY_20("mdi-battery-20", '\uf07b'),
    MDI_BATTERY_30("mdi-battery-30", '\uf07c'),
    MDI_BATTERY_40("mdi-battery-40", '\uf07d'),
    MDI_BATTERY_50("mdi-battery-50", '\uf07e'),
    MDI_BATTERY_60("mdi-battery-60", '\uf07f'),
    MDI_BATTERY_70("mdi-battery-70", '\uf080'),
    MDI_BATTERY_80("mdi-battery-80", '\uf081'),
    MDI_BATTERY_90("mdi-battery-90", '\uf082'),
    MDI_BATTERY_ALERT("mdi-battery-alert", '\uf083'),
    MDI_BATTERY_CHARGING("mdi-battery-charging", '\uf084'),
    MDI_BATTERY_CHARGING_100("mdi-battery-charging-100", '\uf085'),
    MDI_BATTERY_CHARGING_20("mdi-battery-charging-20", '\uf086'),
    MDI_BATTERY_CHARGING_30("mdi-battery-charging-30", '\uf087'),
    MDI_BATTERY_CHARGING_40("mdi-battery-charging-40", '\uf088'),
    MDI_BATTERY_CHARGING_60("mdi-battery-charging-60", '\uf089'),
    MDI_BATTERY_CHARGING_80("mdi-battery-charging-80", '\uf08a'),
    MDI_BATTERY_CHARGING_90("mdi-battery-charging-90", '\uf08b'),
    MDI_BATTERY_MINUS("mdi-battery-minus", '\uf08c'),
    MDI_BATTERY_NEGATIVE("mdi-battery-negative", '\uf08d'),
    MDI_BATTERY_OUTLINE("mdi-battery-outline", '\uf08e'),
    MDI_BATTERY_PLUS("mdi-battery-plus", '\uf08f'),
    MDI_BATTERY_POSITIVE("mdi-battery-positive", '\uf090'),
    MDI_BATTERY_UNKNOWN("mdi-battery-unknown", '\uf091'),
    MDI_BEACH("mdi-beach", '\uf092'),
    MDI_BEAKER("mdi-beaker", '\uf68f'),
    MDI_BEATS("mdi-beats", '\uf097'),
    MDI_BEER("mdi-beer", '\uf098'),
    MDI_BEHANCE("mdi-behance", '\uf099'),
    MDI_BELL("mdi-bell", '\uf09a'),
    MDI_BELL_OFF("mdi-bell-off", '\uf09b'),
    MDI_BELL_OUTLINE("mdi-bell-outline", '\uf09c'),
    MDI_BELL_PLUS("mdi-bell-plus", '\uf09d'),
    MDI_BELL_RING("mdi-bell-ring", '\uf09e'),
    MDI_BELL_RING_OUTLINE("mdi-bell-ring-outline", '\uf09f'),
    MDI_BELL_SLEEP("mdi-bell-sleep", '\uf0a0'),
    MDI_BETA("mdi-beta", '\uf0a1'),
    MDI_BIBLE("mdi-bible", '\uf0a2'),
    MDI_BIKE("mdi-bike", '\uf0a3'),
    MDI_BING("mdi-bing", '\uf0a4'),
    MDI_BINOCULARS("mdi-binoculars", '\uf0a5'),
    MDI_BIO("mdi-bio", '\uf0a6'),
    MDI_BIOHAZARD("mdi-biohazard", '\uf0a7'),
    MDI_BITBUCKET("mdi-bitbucket", '\uf0a8'),
    MDI_BLACKBERRY("mdi-blackberry", '\uf0aa'),
    MDI_BLACK_MESA("mdi-black-mesa", '\uf0a9'),
    MDI_BLENDER("mdi-blender", '\uf0ab'),
    MDI_BLINDS("mdi-blinds", '\uf0ac'),
    MDI_BLOCK_HELPER("mdi-block-helper", '\uf0ad'),
    MDI_BLOGGER("mdi-blogger", '\uf0ae'),
    MDI_BLUETOOTH("mdi-bluetooth", '\uf0af'),
    MDI_BLUETOOTH_AUDIO("mdi-bluetooth-audio", '\uf0b0'),
    MDI_BLUETOOTH_CONNECT("mdi-bluetooth-connect", '\uf0b1'),
    MDI_BLUETOOTH_OFF("mdi-bluetooth-off", '\uf0b2'),
    MDI_BLUETOOTH_SETTINGS("mdi-bluetooth-settings", '\uf0b3'),
    MDI_BLUETOOTH_TRANSFER("mdi-bluetooth-transfer", '\uf0b4'),
    MDI_BLUR("mdi-blur", '\uf0b5'),
    MDI_BLUR_LINEAR("mdi-blur-linear", '\uf0b6'),
    MDI_BLUR_OFF("mdi-blur-off", '\uf0b7'),
    MDI_BLUR_RADIAL("mdi-blur-radial", '\uf0b8'),
    MDI_BOMB("mdi-bomb", '\uf690'),
    MDI_BONE("mdi-bone", '\uf0b9'),
    MDI_BOOK("mdi-book", '\uf0ba'),
    MDI_BOOKMARK("mdi-bookmark", '\uf0c0'),
    MDI_BOOKMARK_CHECK("mdi-bookmark-check", '\uf0c1'),
    MDI_BOOKMARK_MUSIC("mdi-bookmark-music", '\uf0c2'),
    MDI_BOOKMARK_OUTLINE("mdi-bookmark-outline", '\uf0c3'),
    MDI_BOOKMARK_PLUS("mdi-bookmark-plus", '\uf0c5'),
    MDI_BOOKMARK_PLUS_OUTLINE("mdi-bookmark-plus-outline", '\uf0c4'),
    MDI_BOOKMARK_REMOVE("mdi-bookmark-remove", '\uf0c6'),
    MDI_BOOK_MINUS("mdi-book-minus", '\uf5d9'),
    MDI_BOOK_MULTIPLE("mdi-book-multiple", '\uf0bb'),
    MDI_BOOK_MULTIPLE_VARIANT("mdi-book-multiple-variant", '\uf0bc'),
    MDI_BOOK_OPEN("mdi-book-open", '\uf0bd'),
    MDI_BOOK_OPEN_PAGE_VARIANT("mdi-book-open-page-variant", '\uf5da'),
    MDI_BOOK_OPEN_VARIANT("mdi-book-open-variant", '\uf0be'),
    MDI_BOOK_PLUS("mdi-book-plus", '\uf5db'),
    MDI_BOOK_VARIANT("mdi-book-variant", '\uf0bf'),
    MDI_BOOMBOX("mdi-boombox", '\uf5dc'),
    MDI_BORDER_ALL("mdi-border-all", '\uf0c7'),
    MDI_BORDER_BOTTOM("mdi-border-bottom", '\uf0c8'),
    MDI_BORDER_COLOR("mdi-border-color", '\uf0c9'),
    MDI_BORDER_HORIZONTAL("mdi-border-horizontal", '\uf0ca'),
    MDI_BORDER_INSIDE("mdi-border-inside", '\uf0cb'),
    MDI_BORDER_LEFT("mdi-border-left", '\uf0cc'),
    MDI_BORDER_NONE("mdi-border-none", '\uf0cd'),
    MDI_BORDER_OUTSIDE("mdi-border-outside", '\uf0ce'),
    MDI_BORDER_RIGHT("mdi-border-right", '\uf0cf'),
    MDI_BORDER_STYLE("mdi-border-style", '\uf0d0'),
    MDI_BORDER_TOP("mdi-border-top", '\uf0d1'),
    MDI_BORDER_VERTICAL("mdi-border-vertical", '\uf0d2'),
    MDI_BOWL("mdi-bowl", '\uf617'),
    MDI_BOWLING("mdi-bowling", '\uf0d3'),
    MDI_BOW_TIE("mdi-bow-tie", '\uf677'),
    MDI_BOX("mdi-box", '\uf0d4'),
    MDI_BOX_CUTTER("mdi-box-cutter", '\uf0d5'),
    MDI_BOX_SHADOW("mdi-box-shadow", '\uf637'),
    MDI_BRIDGE("mdi-bridge", '\uf618'),
    MDI_BRIEFCASE("mdi-briefcase", '\uf0d6'),
    MDI_BRIEFCASE_CHECK("mdi-briefcase-check", '\uf0d7'),
    MDI_BRIEFCASE_DOWNLOAD("mdi-briefcase-download", '\uf0d8'),
    MDI_BRIEFCASE_UPLOAD("mdi-briefcase-upload", '\uf0d9'),
    MDI_BRIGHTNESS_1("mdi-brightness-1", '\uf0da'),
    MDI_BRIGHTNESS_2("mdi-brightness-2", '\uf0db'),
    MDI_BRIGHTNESS_3("mdi-brightness-3", '\uf0dc'),
    MDI_BRIGHTNESS_4("mdi-brightness-4", '\uf0dd'),
    MDI_BRIGHTNESS_5("mdi-brightness-5", '\uf0de'),
    MDI_BRIGHTNESS_6("mdi-brightness-6", '\uf0df'),
    MDI_BRIGHTNESS_7("mdi-brightness-7", '\uf0e0'),
    MDI_BRIGHTNESS_AUTO("mdi-brightness-auto", '\uf0e1'),
    MDI_BROOM("mdi-broom", '\uf0e2'),
    MDI_BRUSH("mdi-brush", '\uf0e3'),
    MDI_BUFFER("mdi-buffer", '\uf619'),
    MDI_BUG("mdi-bug", '\uf0e4'),
    MDI_BULLETIN_BOARD("mdi-bulletin-board", '\uf0e5'),
    MDI_BULLHORN("mdi-bullhorn", '\uf0e6'),
    MDI_BULLSEYE("mdi-bullseye", '\uf5dd'),
    MDI_BURST_MODE("mdi-burst-mode", '\uf5de'),
    MDI_BUS("mdi-bus", '\uf0e7'),
    MDI_CACHED("mdi-cached", '\uf0e8'),
    MDI_CAKE("mdi-cake", '\uf0e9'),
    MDI_CAKE_LAYERED("mdi-cake-layered", '\uf0ea'),
    MDI_CAKE_VARIANT("mdi-cake-variant", '\uf0eb'),
    MDI_CALCULATOR("mdi-calculator", '\uf0ec'),
    MDI_CALENDAR("mdi-calendar", '\uf0ed'),
    MDI_CALENDAR_BLANK("mdi-calendar-blank", '\uf0ee'),
    MDI_CALENDAR_CHECK("mdi-calendar-check", '\uf0ef'),
    MDI_CALENDAR_CLOCK("mdi-calendar-clock", '\uf0f0'),
    MDI_CALENDAR_MULTIPLE("mdi-calendar-multiple", '\uf0f1'),
    MDI_CALENDAR_MULTIPLE_CHECK("mdi-calendar-multiple-check", '\uf0f2'),
    MDI_CALENDAR_PLUS("mdi-calendar-plus", '\uf0f3'),
    MDI_CALENDAR_QUESTION("mdi-calendar-question", '\uf691'),
    MDI_CALENDAR_RANGE("mdi-calendar-range", '\uf678'),
    MDI_CALENDAR_REMOVE("mdi-calendar-remove", '\uf0f4'),
    MDI_CALENDAR_TEXT("mdi-calendar-text", '\uf0f5'),
    MDI_CALENDAR_TODAY("mdi-calendar-today", '\uf0f6'),
    MDI_CALL_MADE("mdi-call-made", '\uf0f7'),
    MDI_CALL_MERGE("mdi-call-merge", '\uf0f8'),
    MDI_CALL_MISSED("mdi-call-missed", '\uf0f9'),
    MDI_CALL_RECEIVED("mdi-call-received", '\uf0fa'),
    MDI_CALL_SPLIT("mdi-call-split", '\uf0fb'),
    MDI_CAMCORDER("mdi-camcorder", '\uf0fc'),
    MDI_CAMCORDER_BOX("mdi-camcorder-box", '\uf0fd'),
    MDI_CAMCORDER_BOX_OFF("mdi-camcorder-box-off", '\uf0fe'),
    MDI_CAMCORDER_OFF("mdi-camcorder-off", '\uf0ff'),
    MDI_CAMERA("mdi-camera", '\uf100'),
    MDI_CAMERA_BURST("mdi-camera-burst", '\uf692'),
    MDI_CAMERA_ENHANCE("mdi-camera-enhance", '\uf101'),
    MDI_CAMERA_FRONT("mdi-camera-front", '\uf102'),
    MDI_CAMERA_FRONT_VARIANT("mdi-camera-front-variant", '\uf103'),
    MDI_CAMERA_IRIS("mdi-camera-iris", '\uf104'),
    MDI_CAMERA_OFF("mdi-camera-off", '\uf5df'),
    MDI_CAMERA_PARTY_MODE("mdi-camera-party-mode", '\uf105'),
    MDI_CAMERA_REAR("mdi-camera-rear", '\uf106'),
    MDI_CAMERA_REAR_VARIANT("mdi-camera-rear-variant", '\uf107'),
    MDI_CAMERA_SWITCH("mdi-camera-switch", '\uf108'),
    MDI_CAMERA_TIMER("mdi-camera-timer", '\uf109'),
    MDI_CANDLE("mdi-candle", '\uf5e2'),
    MDI_CANDYCANE("mdi-candycane", '\uf10a'),
    MDI_CAR("mdi-car", '\uf10b'),
    MDI_CARDS("mdi-cards", '\uf638'),
    MDI_CARDS_OUTLINE("mdi-cards-outline", '\uf639'),
    MDI_CARDS_PLAYING_OUTLINE("mdi-cards-playing-outline", '\uf63a'),
    MDI_CARROT("mdi-carrot", '\uf10f'),
    MDI_CART("mdi-cart", '\uf110'),
    MDI_CART_OFF("mdi-cart-off", '\uf66b'),
    MDI_CART_OUTLINE("mdi-cart-outline", '\uf111'),
    MDI_CART_PLUS("mdi-cart-plus", '\uf112'),
    MDI_CAR_BATTERY("mdi-car-battery", '\uf10c'),
    MDI_CAR_CONNECTED("mdi-car-connected", '\uf10d'),
    MDI_CAR_WASH("mdi-car-wash", '\uf10e'),
    MDI_CASE_SENSITIVE_ALT("mdi-case-sensitive-alt", '\uf113'),
    MDI_CASH("mdi-cash", '\uf114'),
    MDI_CASH_100("mdi-cash-100", '\uf115'),
    MDI_CASH_MULTIPLE("mdi-cash-multiple", '\uf116'),
    MDI_CASH_USD("mdi-cash-usd", '\uf117'),
    MDI_CAST("mdi-cast", '\uf118'),
    MDI_CASTLE("mdi-castle", '\uf11a'),
    MDI_CAST_CONNECTED("mdi-cast-connected", '\uf119'),
    MDI_CAT("mdi-cat", '\uf11b'),
    MDI_CELLPHONE("mdi-cellphone", '\uf11c'),
    MDI_CELLPHONE_ANDROID("mdi-cellphone-android", '\uf11d'),
    MDI_CELLPHONE_BASIC("mdi-cellphone-basic", '\uf11e'),
    MDI_CELLPHONE_DOCK("mdi-cellphone-dock", '\uf11f'),
    MDI_CELLPHONE_IPHONE("mdi-cellphone-iphone", '\uf120'),
    MDI_CELLPHONE_LINK("mdi-cellphone-link", '\uf121'),
    MDI_CELLPHONE_LINK_OFF("mdi-cellphone-link-off", '\uf122'),
    MDI_CELLPHONE_SETTINGS("mdi-cellphone-settings", '\uf123'),
    MDI_CERTIFICATE("mdi-certificate", '\uf124'),
    MDI_CHAIR_SCHOOL("mdi-chair-school", '\uf125'),
    MDI_CHART_ARC("mdi-chart-arc", '\uf126'),
    MDI_CHART_AREASPLINE("mdi-chart-areaspline", '\uf127'),
    MDI_CHART_BAR("mdi-chart-bar", '\uf128'),
    MDI_CHART_BUBBLE("mdi-chart-bubble", '\uf5e3'),
    MDI_CHART_GANTT("mdi-chart-gantt", '\uf66c'),
    MDI_CHART_HISTOGRAM("mdi-chart-histogram", '\uf129'),
    MDI_CHART_LINE("mdi-chart-line", '\uf12a'),
    MDI_CHART_PIE("mdi-chart-pie", '\uf12b'),
    MDI_CHART_SCATTERPLOT_HEXBIN("mdi-chart-scatterplot-hexbin", '\uf66d'),
    MDI_CHART_TIMELINE("mdi-chart-timeline", '\uf66e'),
    MDI_CHECK("mdi-check", '\uf12c'),
    MDI_CHECKBOX_BLANK("mdi-checkbox-blank", '\uf12e'),
    MDI_CHECKBOX_BLANK_CIRCLE("mdi-checkbox-blank-circle", '\uf12f'),
    MDI_CHECKBOX_BLANK_CIRCLE_OUTLINE("mdi-checkbox-blank-circle-outline", '\uf130'),
    MDI_CHECKBOX_BLANK_OUTLINE("mdi-checkbox-blank-outline", '\uf131'),
    MDI_CHECKBOX_MARKED("mdi-checkbox-marked", '\uf132'),
    MDI_CHECKBOX_MARKED_CIRCLE("mdi-checkbox-marked-circle", '\uf133'),
    MDI_CHECKBOX_MARKED_CIRCLE_OUTLINE("mdi-checkbox-marked-circle-outline", '\uf134'),
    MDI_CHECKBOX_MARKED_OUTLINE("mdi-checkbox-marked-outline", '\uf135'),
    MDI_CHECKBOX_MULTIPLE_BLANK("mdi-checkbox-multiple-blank", '\uf136'),
    MDI_CHECKBOX_MULTIPLE_BLANK_CIRCLE("mdi-checkbox-multiple-blank-circle", '\uf63b'),
    MDI_CHECKBOX_MULTIPLE_BLANK_CIRCLE_OUTLINE("mdi-checkbox-multiple-blank-circle-outline", '\uf63c'),
    MDI_CHECKBOX_MULTIPLE_BLANK_OUTLINE("mdi-checkbox-multiple-blank-outline", '\uf137'),
    MDI_CHECKBOX_MULTIPLE_MARKED("mdi-checkbox-multiple-marked", '\uf138'),
    MDI_CHECKBOX_MULTIPLE_MARKED_CIRCLE("mdi-checkbox-multiple-marked-circle", '\uf63d'),
    MDI_CHECKBOX_MULTIPLE_MARKED_CIRCLE_OUTLINE("mdi-checkbox-multiple-marked-circle-outline", '\uf63e'),
    MDI_CHECKBOX_MULTIPLE_MARKED_OUTLINE("mdi-checkbox-multiple-marked-outline", '\uf139'),
    MDI_CHECKERBOARD("mdi-checkerboard", '\uf13a'),
    MDI_CHECK_ALL("mdi-check-all", '\uf12d'),
    MDI_CHECK_CIRCLE("mdi-check-circle", '\uf5e0'),
    MDI_CHECK_CIRCLE_OUTLINE("mdi-check-circle-outline", '\uf5e1'),
    MDI_CHEMICAL_WEAPON("mdi-chemical-weapon", '\uf13b'),
    MDI_CHEVRON_DOUBLE_DOWN("mdi-chevron-double-down", '\uf13c'),
    MDI_CHEVRON_DOUBLE_LEFT("mdi-chevron-double-left", '\uf13d'),
    MDI_CHEVRON_DOUBLE_RIGHT("mdi-chevron-double-right", '\uf13e'),
    MDI_CHEVRON_DOUBLE_UP("mdi-chevron-double-up", '\uf13f'),
    MDI_CHEVRON_DOWN("mdi-chevron-down", '\uf140'),
    MDI_CHEVRON_LEFT("mdi-chevron-left", '\uf141'),
    MDI_CHEVRON_RIGHT("mdi-chevron-right", '\uf142'),
    MDI_CHEVRON_UP("mdi-chevron-up", '\uf143'),
    MDI_CHIP("mdi-chip", '\uf61a'),
    MDI_CHURCH("mdi-church", '\uf144'),
    MDI_CISCO_WEBEX("mdi-cisco-webex", '\uf145'),
    MDI_CITY("mdi-city", '\uf146'),
    MDI_CLIPBOARD("mdi-clipboard", '\uf147'),
    MDI_CLIPBOARD_ACCOUNT("mdi-clipboard-account", '\uf148'),
    MDI_CLIPBOARD_ALERT("mdi-clipboard-alert", '\uf149'),
    MDI_CLIPBOARD_ARROW_DOWN("mdi-clipboard-arrow-down", '\uf14a'),
    MDI_CLIPBOARD_ARROW_LEFT("mdi-clipboard-arrow-left", '\uf14b'),
    MDI_CLIPBOARD_CHECK("mdi-clipboard-check", '\uf14c'),
    MDI_CLIPBOARD_OUTLINE("mdi-clipboard-outline", '\uf14d'),
    MDI_CLIPBOARD_TEXT("mdi-clipboard-text", '\uf14e'),
    MDI_CLIPPY("mdi-clippy", '\uf14f'),
    MDI_CLOCK("mdi-clock", '\uf150'),
    MDI_CLOCK_ALERT("mdi-clock-alert", '\uf5ce'),
    MDI_CLOCK_END("mdi-clock-end", '\uf151'),
    MDI_CLOCK_FAST("mdi-clock-fast", '\uf152'),
    MDI_CLOCK_IN("mdi-clock-in", '\uf153'),
    MDI_CLOCK_OUT("mdi-clock-out", '\uf154'),
    MDI_CLOCK_START("mdi-clock-start", '\uf155'),
    MDI_CLOSE("mdi-close", '\uf156'),
    MDI_CLOSED_CAPTION("mdi-closed-caption", '\uf15e'),
    MDI_CLOSE_BOX("mdi-close-box", '\uf157'),
    MDI_CLOSE_BOX_OUTLINE("mdi-close-box-outline", '\uf158'),
    MDI_CLOSE_CIRCLE("mdi-close-circle", '\uf159'),
    MDI_CLOSE_CIRCLE_OUTLINE("mdi-close-circle-outline", '\uf15a'),
    MDI_CLOSE_NETWORK("mdi-close-network", '\uf15b'),
    MDI_CLOSE_OCTAGON("mdi-close-octagon", '\uf15c'),
    MDI_CLOSE_OCTAGON_OUTLINE("mdi-close-octagon-outline", '\uf15d'),
    MDI_CLOUD("mdi-cloud", '\uf15f'),
    MDI_CLOUD_CHECK("mdi-cloud-check", '\uf160'),
    MDI_CLOUD_CIRCLE("mdi-cloud-circle", '\uf161'),
    MDI_CLOUD_DOWNLOAD("mdi-cloud-download", '\uf162'),
    MDI_CLOUD_OUTLINE("mdi-cloud-outline", '\uf163'),
    MDI_CLOUD_OUTLINE_OFF("mdi-cloud-outline-off", '\uf164'),
    MDI_CLOUD_PRINT("mdi-cloud-print", '\uf165'),
    MDI_CLOUD_PRINT_OUTLINE("mdi-cloud-print-outline", '\uf166'),
    MDI_CLOUD_SYNC("mdi-cloud-sync", '\uf63f'),
    MDI_CLOUD_UPLOAD("mdi-cloud-upload", '\uf167'),
    MDI_CODEPEN("mdi-codepen", '\uf175'),
    MDI_CODE_ARRAY("mdi-code-array", '\uf168'),
    MDI_CODE_BRACES("mdi-code-braces", '\uf169'),
    MDI_CODE_BRACKETS("mdi-code-brackets", '\uf16a'),
    MDI_CODE_EQUAL("mdi-code-equal", '\uf16b'),
    MDI_CODE_GREATER_THAN("mdi-code-greater-than", '\uf16c'),
    MDI_CODE_GREATER_THAN_OR_EQUAL("mdi-code-greater-than-or-equal", '\uf16d'),
    MDI_CODE_LESS_THAN("mdi-code-less-than", '\uf16e'),
    MDI_CODE_LESS_THAN_OR_EQUAL("mdi-code-less-than-or-equal", '\uf16f'),
    MDI_CODE_NOT_EQUAL("mdi-code-not-equal", '\uf170'),
    MDI_CODE_NOT_EQUAL_VARIANT("mdi-code-not-equal-variant", '\uf171'),
    MDI_CODE_PARENTHESES("mdi-code-parentheses", '\uf172'),
    MDI_CODE_STRING("mdi-code-string", '\uf173'),
    MDI_CODE_TAGS("mdi-code-tags", '\uf174'),
    MDI_CODE_TAGS_CHECK("mdi-code-tags-check", '\uf693'),
    MDI_COFFEE("mdi-coffee", '\uf176'),
    MDI_COFFEE_TO_GO("mdi-coffee-to-go", '\uf177'),
    MDI_COIN("mdi-coin", '\uf178'),
    MDI_COINS("mdi-coins", '\uf694'),
    MDI_COLLAGE("mdi-collage", '\uf640'),
    MDI_COLOR_HELPER("mdi-color-helper", '\uf179'),
    MDI_COMMENT("mdi-comment", '\uf17a'),
    MDI_COMMENT_ACCOUNT("mdi-comment-account", '\uf17b'),
    MDI_COMMENT_ACCOUNT_OUTLINE("mdi-comment-account-outline", '\uf17c'),
    MDI_COMMENT_ALERT("mdi-comment-alert", '\uf17d'),
    MDI_COMMENT_ALERT_OUTLINE("mdi-comment-alert-outline", '\uf17e'),
    MDI_COMMENT_CHECK("mdi-comment-check", '\uf17f'),
    MDI_COMMENT_CHECK_OUTLINE("mdi-comment-check-outline", '\uf180'),
    MDI_COMMENT_MULTIPLE_OUTLINE("mdi-comment-multiple-outline", '\uf181'),
    MDI_COMMENT_OUTLINE("mdi-comment-outline", '\uf182'),
    MDI_COMMENT_PLUS_OUTLINE("mdi-comment-plus-outline", '\uf183'),
    MDI_COMMENT_PROCESSING("mdi-comment-processing", '\uf184'),
    MDI_COMMENT_PROCESSING_OUTLINE("mdi-comment-processing-outline", '\uf185'),
    MDI_COMMENT_QUESTION_OUTLINE("mdi-comment-question-outline", '\uf186'),
    MDI_COMMENT_REMOVE_OUTLINE("mdi-comment-remove-outline", '\uf187'),
    MDI_COMMENT_TEXT("mdi-comment-text", '\uf188'),
    MDI_COMMENT_TEXT_OUTLINE("mdi-comment-text-outline", '\uf189'),
    MDI_COMPARE("mdi-compare", '\uf18a'),
    MDI_COMPASS("mdi-compass", '\uf18b'),
    MDI_COMPASS_OUTLINE("mdi-compass-outline", '\uf18c'),
    MDI_CONSOLE("mdi-console", '\uf18d'),
    MDI_CONTACT_MAIL("mdi-contact-mail", '\uf18e'),
    MDI_CONTENT_COPY("mdi-content-copy", '\uf18f'),
    MDI_CONTENT_CUT("mdi-content-cut", '\uf190'),
    MDI_CONTENT_DUPLICATE("mdi-content-duplicate", '\uf191'),
    MDI_CONTENT_PASTE("mdi-content-paste", '\uf192'),
    MDI_CONTENT_SAVE("mdi-content-save", '\uf193'),
    MDI_CONTENT_SAVE_ALL("mdi-content-save-all", '\uf194'),
    MDI_CONTENT_SAVE_SETTINGS("mdi-content-save-settings", '\uf61b'),
    MDI_CONTRAST("mdi-contrast", '\uf195'),
    MDI_CONTRAST_BOX("mdi-contrast-box", '\uf196'),
    MDI_CONTRAST_CIRCLE("mdi-contrast-circle", '\uf197'),
    MDI_COOKIE("mdi-cookie", '\uf198'),
    MDI_COPYRIGHT("mdi-copyright", '\uf5e6'),
    MDI_COUNTER("mdi-counter", '\uf199'),
    MDI_COW("mdi-cow", '\uf19a'),
    MDI_CREATION("mdi-creation", '\uf1c9'),
    MDI_CREDIT_CARD("mdi-credit-card", '\uf19b'),
    MDI_CREDIT_CARD_MULTIPLE("mdi-credit-card-multiple", '\uf19c'),
    MDI_CREDIT_CARD_OFF("mdi-credit-card-off", '\uf5e4'),
    MDI_CREDIT_CARD_PLUS("mdi-credit-card-plus", '\uf675'),
    MDI_CREDIT_CARD_SCAN("mdi-credit-card-scan", '\uf19d'),
    MDI_CROP("mdi-crop", '\uf19e'),
    MDI_CROP_FREE("mdi-crop-free", '\uf19f'),
    MDI_CROP_LANDSCAPE("mdi-crop-landscape", '\uf1a0'),
    MDI_CROP_PORTRAIT("mdi-crop-portrait", '\uf1a1'),
    MDI_CROP_ROTATE("mdi-crop-rotate", '\uf695'),
    MDI_CROP_SQUARE("mdi-crop-square", '\uf1a2'),
    MDI_CROSSHAIRS("mdi-crosshairs", '\uf1a3'),
    MDI_CROSSHAIRS_GPS("mdi-crosshairs-gps", '\uf1a4'),
    MDI_CROWN("mdi-crown", '\uf1a5'),
    MDI_CUBE("mdi-cube", '\uf1a6'),
    MDI_CUBE_OUTLINE("mdi-cube-outline", '\uf1a7'),
    MDI_CUBE_SEND("mdi-cube-send", '\uf1a8'),
    MDI_CUBE_UNFOLDED("mdi-cube-unfolded", '\uf1a9'),
    MDI_CUP("mdi-cup", '\uf1aa'),
    MDI_CUP_OFF("mdi-cup-off", '\uf5e5'),
    MDI_CUP_WATER("mdi-cup-water", '\uf1ab'),
    MDI_CURRENCY_BTC("mdi-currency-btc", '\uf1ac'),
    MDI_CURRENCY_EUR("mdi-currency-eur", '\uf1ad'),
    MDI_CURRENCY_GBP("mdi-currency-gbp", '\uf1ae'),
    MDI_CURRENCY_INR("mdi-currency-inr", '\uf1af'),
    MDI_CURRENCY_NGN("mdi-currency-ngn", '\uf1b0'),
    MDI_CURRENCY_RUB("mdi-currency-rub", '\uf1b1'),
    MDI_CURRENCY_TRY("mdi-currency-try", '\uf1b2'),
    MDI_CURRENCY_USD("mdi-currency-usd", '\uf1b3'),
    MDI_CURRENCY_USD_OFF("mdi-currency-usd-off", '\uf679'),
    MDI_CURSOR_DEFAULT("mdi-cursor-default", '\uf1b4'),
    MDI_CURSOR_DEFAULT_OUTLINE("mdi-cursor-default-outline", '\uf1b5'),
    MDI_CURSOR_MOVE("mdi-cursor-move", '\uf1b6'),
    MDI_CURSOR_POINTER("mdi-cursor-pointer", '\uf1b7'),
    MDI_CURSOR_TEXT("mdi-cursor-text", '\uf5e7'),
    MDI_DATABASE("mdi-database", '\uf1b8'),
    MDI_DATABASE_MINUS("mdi-database-minus", '\uf1b9'),
    MDI_DATABASE_PLUS("mdi-database-plus", '\uf1ba'),
    MDI_DEBUG_STEP_INTO("mdi-debug-step-into", '\uf1bb'),
    MDI_DEBUG_STEP_OUT("mdi-debug-step-out", '\uf1bc'),
    MDI_DEBUG_STEP_OVER("mdi-debug-step-over", '\uf1bd'),
    MDI_DECIMAL_DECREASE("mdi-decimal-decrease", '\uf1be'),
    MDI_DECIMAL_INCREASE("mdi-decimal-increase", '\uf1bf'),
    MDI_DELETE("mdi-delete", '\uf1c0'),
    MDI_DELETE_CIRCLE("mdi-delete-circle", '\uf682'),
    MDI_DELETE_FOREVER("mdi-delete-forever", '\uf5e8'),
    MDI_DELETE_SWEEP("mdi-delete-sweep", '\uf5e9'),
    MDI_DELETE_VARIANT("mdi-delete-variant", '\uf1c1'),
    MDI_DELTA("mdi-delta", '\uf1c2'),
    MDI_DESKPHONE("mdi-deskphone", '\uf1c3'),
    MDI_DESKTOP_MAC("mdi-desktop-mac", '\uf1c4'),
    MDI_DESKTOP_TOWER("mdi-desktop-tower", '\uf1c5'),
    MDI_DETAILS("mdi-details", '\uf1c6'),
    MDI_DEVELOPER_BOARD("mdi-developer-board", '\uf696'),
    MDI_DEVIANTART("mdi-deviantart", '\uf1c7'),
    MDI_DIALPAD("mdi-dialpad", '\uf61c'),
    MDI_DIAMOND("mdi-diamond", '\uf1c8'),
    MDI_DICE_1("mdi-dice-1", '\uf1ca'),
    MDI_DICE_2("mdi-dice-2", '\uf1cb'),
    MDI_DICE_3("mdi-dice-3", '\uf1cc'),
    MDI_DICE_4("mdi-dice-4", '\uf1cd'),
    MDI_DICE_5("mdi-dice-5", '\uf1ce'),
    MDI_DICE_6("mdi-dice-6", '\uf1cf'),
    MDI_DICE_D20("mdi-dice-d20", '\uf5ea'),
    MDI_DICE_D4("mdi-dice-d4", '\uf5eb'),
    MDI_DICE_D6("mdi-dice-d6", '\uf5ec'),
    MDI_DICE_D8("mdi-dice-d8", '\uf5ed'),
    MDI_DICTIONARY("mdi-dictionary", '\uf61d'),
    MDI_DIRECTIONS("mdi-directions", '\uf1d0'),
    MDI_DIRECTIONS_FORK("mdi-directions-fork", '\uf641'),
    MDI_DISCORD("mdi-discord", '\uf66f'),
    MDI_DISK("mdi-disk", '\uf5ee'),
    MDI_DISK_ALERT("mdi-disk-alert", '\uf1d1'),
    MDI_DISQUS("mdi-disqus", '\uf1d2'),
    MDI_DISQUS_OUTLINE("mdi-disqus-outline", '\uf1d3'),
    MDI_DIVISION("mdi-division", '\uf1d4'),
    MDI_DIVISION_BOX("mdi-division-box", '\uf1d5'),
    MDI_DNA("mdi-dna", '\uf683'),
    MDI_DNS("mdi-dns", '\uf1d6'),
    MDI_DOLBY("mdi-dolby", '\uf6b2'),
    MDI_DOMAIN("mdi-domain", '\uf1d7'),
    MDI_DOTS_HORIZONTAL("mdi-dots-horizontal", '\uf1d8'),
    MDI_DOTS_VERTICAL("mdi-dots-vertical", '\uf1d9'),
    MDI_DOUBAN("mdi-douban", '\uf699'),
    MDI_DOWNLOAD("mdi-download", '\uf1da'),
    MDI_DO_NOT_DISTURB("mdi-do-not-disturb", '\uf697'),
    MDI_DO_NOT_DISTURB_OFF("mdi-do-not-disturb-off", '\uf698'),
    MDI_DRAG("mdi-drag", '\uf1db'),
    MDI_DRAG_HORIZONTAL("mdi-drag-horizontal", '\uf1dc'),
    MDI_DRAG_VERTICAL("mdi-drag-vertical", '\uf1dd'),
    MDI_DRAWING("mdi-drawing", '\uf1de'),
    MDI_DRAWING_BOX("mdi-drawing-box", '\uf1df'),
    MDI_DRIBBBLE("mdi-dribbble", '\uf1e0'),
    MDI_DRIBBBLE_BOX("mdi-dribbble-box", '\uf1e1'),
    MDI_DRONE("mdi-drone", '\uf1e2'),
    MDI_DROPBOX("mdi-dropbox", '\uf1e3'),
    MDI_DRUPAL("mdi-drupal", '\uf1e4'),
    MDI_DUCK("mdi-duck", '\uf1e5'),
    MDI_DUMBBELL("mdi-dumbbell", '\uf1e6'),
    MDI_EARTH("mdi-earth", '\uf1e7'),
    MDI_EARTH_OFF("mdi-earth-off", '\uf1e8'),
    MDI_EDGE("mdi-edge", '\uf1e9'),
    MDI_EJECT("mdi-eject", '\uf1ea'),
    MDI_ELEVATION_DECLINE("mdi-elevation-decline", '\uf1eb'),
    MDI_ELEVATION_RISE("mdi-elevation-rise", '\uf1ec'),
    MDI_ELEVATOR("mdi-elevator", '\uf1ed'),
    MDI_EMAIL("mdi-email", '\uf1ee'),
    MDI_EMAIL_OPEN("mdi-email-open", '\uf1ef'),
    MDI_EMAIL_OPEN_OUTLINE("mdi-email-open-outline", '\uf5ef'),
    MDI_EMAIL_OUTLINE("mdi-email-outline", '\uf1f0'),
    MDI_EMAIL_SECURE("mdi-email-secure", '\uf1f1'),
    MDI_EMAIL_VARIANT("mdi-email-variant", '\uf5f0'),
    MDI_EMBY("mdi-emby", '\uf6b3'),
    MDI_EMOTICON("mdi-emoticon", '\uf1f2'),
    MDI_EMOTICON_COOL("mdi-emoticon-cool", '\uf1f3'),
    MDI_EMOTICON_DEAD("mdi-emoticon-dead", '\uf69a'),
    MDI_EMOTICON_DEVIL("mdi-emoticon-devil", '\uf1f4'),
    MDI_EMOTICON_EXCITED("mdi-emoticon-excited", '\uf69b'),
    MDI_EMOTICON_HAPPY("mdi-emoticon-happy", '\uf1f5'),
    MDI_EMOTICON_NEUTRAL("mdi-emoticon-neutral", '\uf1f6'),
    MDI_EMOTICON_POOP("mdi-emoticon-poop", '\uf1f7'),
    MDI_EMOTICON_SAD("mdi-emoticon-sad", '\uf1f8'),
    MDI_EMOTICON_TONGUE("mdi-emoticon-tongue", '\uf1f9'),
    MDI_ENGINE("mdi-engine", '\uf1fa'),
    MDI_ENGINE_OUTLINE("mdi-engine-outline", '\uf1fb'),
    MDI_EQUAL("mdi-equal", '\uf1fc'),
    MDI_EQUAL_BOX("mdi-equal-box", '\uf1fd'),
    MDI_ERASER("mdi-eraser", '\uf1fe'),
    MDI_ERASER_VARIANT("mdi-eraser-variant", '\uf642'),
    MDI_ESCALATOR("mdi-escalator", '\uf1ff'),
    MDI_ETHERNET("mdi-ethernet", '\uf200'),
    MDI_ETHERNET_CABLE("mdi-ethernet-cable", '\uf201'),
    MDI_ETHERNET_CABLE_OFF("mdi-ethernet-cable-off", '\uf202'),
    MDI_ETSY("mdi-etsy", '\uf203'),
    MDI_EVERNOTE("mdi-evernote", '\uf204'),
    MDI_EV_STATION("mdi-ev-station", '\uf5f1'),
    MDI_EXCLAMATION("mdi-exclamation", '\uf205'),
    MDI_EXIT_TO_APP("mdi-exit-to-app", '\uf206'),
    MDI_EXPORT("mdi-export", '\uf207'),
    MDI_EYE("mdi-eye", '\uf208'),
    MDI_EYEDROPPER("mdi-eyedropper", '\uf20a'),
    MDI_EYEDROPPER_VARIANT("mdi-eyedropper-variant", '\uf20b'),
    MDI_EYE_OFF("mdi-eye-off", '\uf209'),
    MDI_FACE("mdi-face", '\uf643'),
    MDI_FACEBOOK("mdi-facebook", '\uf20c'),
    MDI_FACEBOOK_BOX("mdi-facebook-box", '\uf20d'),
    MDI_FACEBOOK_MESSENGER("mdi-facebook-messenger", '\uf20e'),
    MDI_FACE_PROFILE("mdi-face-profile", '\uf644'),
    MDI_FACTORY("mdi-factory", '\uf20f'),
    MDI_FAN("mdi-fan", '\uf210'),
    MDI_FAST_FORWARD("mdi-fast-forward", '\uf211'),
    MDI_FAX("mdi-fax", '\uf212'),
    MDI_FERRY("mdi-ferry", '\uf213'),
    MDI_FILE("mdi-file", '\uf214'),
    MDI_FILE_CHART("mdi-file-chart", '\uf215'),
    MDI_FILE_CHECK("mdi-file-check", '\uf216'),
    MDI_FILE_CLOUD("mdi-file-cloud", '\uf217'),
    MDI_FILE_DELIMITED("mdi-file-delimited", '\uf218'),
    MDI_FILE_DOCUMENT("mdi-file-document", '\uf219'),
    MDI_FILE_DOCUMENT_BOX("mdi-file-document-box", '\uf21a'),
    MDI_FILE_EXCEL("mdi-file-excel", '\uf21b'),
    MDI_FILE_EXCEL_BOX("mdi-file-excel-box", '\uf21c'),
    MDI_FILE_EXPORT("mdi-file-export", '\uf21d'),
    MDI_FILE_FIND("mdi-file-find", '\uf21e'),
    MDI_FILE_HIDDEN("mdi-file-hidden", '\uf613'),
    MDI_FILE_IMAGE("mdi-file-image", '\uf21f'),
    MDI_FILE_IMPORT("mdi-file-import", '\uf220'),
    MDI_FILE_LOCK("mdi-file-lock", '\uf221'),
    MDI_FILE_MULTIPLE("mdi-file-multiple", '\uf222'),
    MDI_FILE_MUSIC("mdi-file-music", '\uf223'),
    MDI_FILE_OUTLINE("mdi-file-outline", '\uf224'),
    MDI_FILE_PDF("mdi-file-pdf", '\uf225'),
    MDI_FILE_PDF_BOX("mdi-file-pdf-box", '\uf226'),
    MDI_FILE_POWERPOINT("mdi-file-powerpoint", '\uf227'),
    MDI_FILE_POWERPOINT_BOX("mdi-file-powerpoint-box", '\uf228'),
    MDI_FILE_PRESENTATION_BOX("mdi-file-presentation-box", '\uf229'),
    MDI_FILE_RESTORE("mdi-file-restore", '\uf670'),
    MDI_FILE_SEND("mdi-file-send", '\uf22a'),
    MDI_FILE_TREE("mdi-file-tree", '\uf645'),
    MDI_FILE_VIDEO("mdi-file-video", '\uf22b'),
    MDI_FILE_WORD("mdi-file-word", '\uf22c'),
    MDI_FILE_WORD_BOX("mdi-file-word-box", '\uf22d'),
    MDI_FILE_XML("mdi-file-xml", '\uf22e'),
    MDI_FILM("mdi-film", '\uf22f'),
    MDI_FILMSTRIP("mdi-filmstrip", '\uf230'),
    MDI_FILMSTRIP_OFF("mdi-filmstrip-off", '\uf231'),
    MDI_FILTER("mdi-filter", '\uf232'),
    MDI_FILTER_OUTLINE("mdi-filter-outline", '\uf233'),
    MDI_FILTER_REMOVE("mdi-filter-remove", '\uf234'),
    MDI_FILTER_REMOVE_OUTLINE("mdi-filter-remove-outline", '\uf235'),
    MDI_FILTER_VARIANT("mdi-filter-variant", '\uf236'),
    MDI_FINGERPRINT("mdi-fingerprint", '\uf237'),
    MDI_FIRE("mdi-fire", '\uf238'),
    MDI_FIREFOX("mdi-firefox", '\uf239'),
    MDI_FISH("mdi-fish", '\uf23a'),
    MDI_FLAG("mdi-flag", '\uf23b'),
    MDI_FLAG_CHECKERED("mdi-flag-checkered", '\uf23c'),
    MDI_FLAG_OUTLINE("mdi-flag-outline", '\uf23d'),
    MDI_FLAG_OUTLINE_VARIANT("mdi-flag-outline-variant", '\uf23e'),
    MDI_FLAG_TRIANGLE("mdi-flag-triangle", '\uf23f'),
    MDI_FLAG_VARIANT("mdi-flag-variant", '\uf240'),
    MDI_FLASH("mdi-flash", '\uf241'),
    MDI_FLASHLIGHT("mdi-flashlight", '\uf244'),
    MDI_FLASHLIGHT_OFF("mdi-flashlight-off", '\uf245'),
    MDI_FLASH_AUTO("mdi-flash-auto", '\uf242'),
    MDI_FLASH_OFF("mdi-flash-off", '\uf243'),
    MDI_FLASH_RED_EYE("mdi-flash-red-eye", '\uf67a'),
    MDI_FLASK("mdi-flask", '\uf093'),
    MDI_FLASK_EMPTY("mdi-flask-empty", '\uf094'),
    MDI_FLASK_EMPTY_OUTLINE("mdi-flask-empty-outline", '\uf095'),
    MDI_FLASK_OUTLINE("mdi-flask-outline", '\uf096'),
    MDI_FLATTR("mdi-flattr", '\uf246'),
    MDI_FLIP_TO_BACK("mdi-flip-to-back", '\uf247'),
    MDI_FLIP_TO_FRONT("mdi-flip-to-front", '\uf248'),
    MDI_FLOPPY("mdi-floppy", '\uf249'),
    MDI_FLOWER("mdi-flower", '\uf24a'),
    MDI_FOLDER("mdi-folder", '\uf24b'),
    MDI_FOLDER_ACCOUNT("mdi-folder-account", '\uf24c'),
    MDI_FOLDER_DOWNLOAD("mdi-folder-download", '\uf24d'),
    MDI_FOLDER_GOOGLE_DRIVE("mdi-folder-google-drive", '\uf24e'),
    MDI_FOLDER_IMAGE("mdi-folder-image", '\uf24f'),
    MDI_FOLDER_LOCK("mdi-folder-lock", '\uf250'),
    MDI_FOLDER_LOCK_OPEN("mdi-folder-lock-open", '\uf251'),
    MDI_FOLDER_MOVE("mdi-folder-move", '\uf252'),
    MDI_FOLDER_MULTIPLE("mdi-folder-multiple", '\uf253'),
    MDI_FOLDER_MULTIPLE_IMAGE("mdi-folder-multiple-image", '\uf254'),
    MDI_FOLDER_MULTIPLE_OUTLINE("mdi-folder-multiple-outline", '\uf255'),
    MDI_FOLDER_OUTLINE("mdi-folder-outline", '\uf256'),
    MDI_FOLDER_PLUS("mdi-folder-plus", '\uf257'),
    MDI_FOLDER_REMOVE("mdi-folder-remove", '\uf258'),
    MDI_FOLDER_STAR("mdi-folder-star", '\uf69c'),
    MDI_FOLDER_UPLOAD("mdi-folder-upload", '\uf259'),
    MDI_FOOD("mdi-food", '\uf25a'),
    MDI_FOOD_APPLE("mdi-food-apple", '\uf25b'),
    MDI_FOOD_FORK_DRINK("mdi-food-fork-drink", '\uf5f2'),
    MDI_FOOD_OFF("mdi-food-off", '\uf5f3'),
    MDI_FOOD_VARIANT("mdi-food-variant", '\uf25c'),
    MDI_FOOTBALL("mdi-football", '\uf25d'),
    MDI_FOOTBALL_AUSTRALIAN("mdi-football-australian", '\uf25e'),
    MDI_FOOTBALL_HELMET("mdi-football-helmet", '\uf25f'),
    MDI_FORMAT_ALIGN_CENTER("mdi-format-align-center", '\uf260'),
    MDI_FORMAT_ALIGN_JUSTIFY("mdi-format-align-justify", '\uf261'),
    MDI_FORMAT_ALIGN_LEFT("mdi-format-align-left", '\uf262'),
    MDI_FORMAT_ALIGN_RIGHT("mdi-format-align-right", '\uf263'),
    MDI_FORMAT_ANNOTATION_PLUS("mdi-format-annotation-plus", '\uf646'),
    MDI_FORMAT_BOLD("mdi-format-bold", '\uf264'),
    MDI_FORMAT_CLEAR("mdi-format-clear", '\uf265'),
    MDI_FORMAT_COLOR_FILL("mdi-format-color-fill", '\uf266'),
    MDI_FORMAT_COLOR_TEXT("mdi-format-color-text", '\uf69d'),
    MDI_FORMAT_FLOAT_CENTER("mdi-format-float-center", '\uf267'),
    MDI_FORMAT_FLOAT_LEFT("mdi-format-float-left", '\uf268'),
    MDI_FORMAT_FLOAT_NONE("mdi-format-float-none", '\uf269'),
    MDI_FORMAT_FLOAT_RIGHT("mdi-format-float-right", '\uf26a'),
    MDI_FORMAT_HEADER_1("mdi-format-header-1", '\uf26b'),
    MDI_FORMAT_HEADER_2("mdi-format-header-2", '\uf26c'),
    MDI_FORMAT_HEADER_3("mdi-format-header-3", '\uf26d'),
    MDI_FORMAT_HEADER_4("mdi-format-header-4", '\uf26e'),
    MDI_FORMAT_HEADER_5("mdi-format-header-5", '\uf26f'),
    MDI_FORMAT_HEADER_6("mdi-format-header-6", '\uf270'),
    MDI_FORMAT_HEADER_DECREASE("mdi-format-header-decrease", '\uf271'),
    MDI_FORMAT_HEADER_EQUAL("mdi-format-header-equal", '\uf272'),
    MDI_FORMAT_HEADER_INCREASE("mdi-format-header-increase", '\uf273'),
    MDI_FORMAT_HEADER_POUND("mdi-format-header-pound", '\uf274'),
    MDI_FORMAT_HORIZONTAL_ALIGN_CENTER("mdi-format-horizontal-align-center", '\uf61e'),
    MDI_FORMAT_HORIZONTAL_ALIGN_LEFT("mdi-format-horizontal-align-left", '\uf61f'),
    MDI_FORMAT_HORIZONTAL_ALIGN_RIGHT("mdi-format-horizontal-align-right", '\uf620'),
    MDI_FORMAT_INDENT_DECREASE("mdi-format-indent-decrease", '\uf275'),
    MDI_FORMAT_INDENT_INCREASE("mdi-format-indent-increase", '\uf276'),
    MDI_FORMAT_ITALIC("mdi-format-italic", '\uf277'),
    MDI_FORMAT_LINE_SPACING("mdi-format-line-spacing", '\uf278'),
    MDI_FORMAT_LINE_STYLE("mdi-format-line-style", '\uf5c8'),
    MDI_FORMAT_LINE_WEIGHT("mdi-format-line-weight", '\uf5c9'),
    MDI_FORMAT_LIST_BULLETED("mdi-format-list-bulleted", '\uf279'),
    MDI_FORMAT_LIST_BULLETED_TYPE("mdi-format-list-bulleted-type", '\uf27a'),
    MDI_FORMAT_LIST_NUMBERS("mdi-format-list-numbers", '\uf27b'),
    MDI_FORMAT_PAINT("mdi-format-paint", '\uf27c'),
    MDI_FORMAT_PARAGRAPH("mdi-format-paragraph", '\uf27d'),
    MDI_FORMAT_QUOTE("mdi-format-quote", '\uf27e'),
    MDI_FORMAT_SECTION("mdi-format-section", '\uf69e'),
    MDI_FORMAT_SIZE("mdi-format-size", '\uf27f'),
    MDI_FORMAT_STRIKETHROUGH("mdi-format-strikethrough", '\uf280'),
    MDI_FORMAT_STRIKETHROUGH_VARIANT("mdi-format-strikethrough-variant", '\uf281'),
    MDI_FORMAT_SUBSCRIPT("mdi-format-subscript", '\uf282'),
    MDI_FORMAT_SUPERSCRIPT("mdi-format-superscript", '\uf283'),
    MDI_FORMAT_TEXT("mdi-format-text", '\uf284'),
    MDI_FORMAT_TEXTDIRECTION_L_TO_R("mdi-format-textdirection-l-to-r", '\uf285'),
    MDI_FORMAT_TEXTDIRECTION_R_TO_L("mdi-format-textdirection-r-to-l", '\uf286'),
    MDI_FORMAT_TITLE("mdi-format-title", '\uf5f4'),
    MDI_FORMAT_UNDERLINE("mdi-format-underline", '\uf287'),
    MDI_FORMAT_VERTICAL_ALIGN_BOTTOM("mdi-format-vertical-align-bottom", '\uf621'),
    MDI_FORMAT_VERTICAL_ALIGN_CENTER("mdi-format-vertical-align-center", '\uf622'),
    MDI_FORMAT_VERTICAL_ALIGN_TOP("mdi-format-vertical-align-top", '\uf623'),
    MDI_FORMAT_WRAP_INLINE("mdi-format-wrap-inline", '\uf288'),
    MDI_FORMAT_WRAP_SQUARE("mdi-format-wrap-square", '\uf289'),
    MDI_FORMAT_WRAP_TIGHT("mdi-format-wrap-tight", '\uf28a'),
    MDI_FORMAT_WRAP_TOP_BOTTOM("mdi-format-wrap-top-bottom", '\uf28b'),
    MDI_FORUM("mdi-forum", '\uf28c'),
    MDI_FORWARD("mdi-forward", '\uf28d'),
    MDI_FOURSQUARE("mdi-foursquare", '\uf28e'),
    MDI_FRIDGE("mdi-fridge", '\uf28f'),
    MDI_FRIDGE_FILLED("mdi-fridge-filled", '\uf290'),
    MDI_FRIDGE_FILLED_BOTTOM("mdi-fridge-filled-bottom", '\uf291'),
    MDI_FRIDGE_FILLED_TOP("mdi-fridge-filled-top", '\uf292'),
    MDI_FULLSCREEN("mdi-fullscreen", '\uf293'),
    MDI_FULLSCREEN_EXIT("mdi-fullscreen-exit", '\uf294'),
    MDI_FUNCTION("mdi-function", '\uf295'),
    MDI_GAMEPAD("mdi-gamepad", '\uf296'),
    MDI_GAMEPAD_VARIANT("mdi-gamepad-variant", '\uf297'),
    MDI_GAS_CYLINDER("mdi-gas-cylinder", '\uf647'),
    MDI_GAS_STATION("mdi-gas-station", '\uf298'),
    MDI_GATE("mdi-gate", '\uf299'),
    MDI_GAUGE("mdi-gauge", '\uf29a'),
    MDI_GAVEL("mdi-gavel", '\uf29b'),
    MDI_GENDER_FEMALE("mdi-gender-female", '\uf29c'),
    MDI_GENDER_MALE("mdi-gender-male", '\uf29d'),
    MDI_GENDER_MALE_FEMALE("mdi-gender-male-female", '\uf29e'),
    MDI_GENDER_TRANSGENDER("mdi-gender-transgender", '\uf29f'),
    MDI_GHOST("mdi-ghost", '\uf2a0'),
    MDI_GIFT("mdi-gift", '\uf2a1'),
    MDI_GIT("mdi-git", '\uf2a2'),
    MDI_GITHUB_BOX("mdi-github-box", '\uf2a3'),
    MDI_GITHUB_CIRCLE("mdi-github-circle", '\uf2a4'),
    MDI_GLASSDOOR("mdi-glassdoor", '\uf2a9'),
    MDI_GLASSES("mdi-glasses", '\uf2aa'),
    MDI_GLASS_FLUTE("mdi-glass-flute", '\uf2a5'),
    MDI_GLASS_MUG("mdi-glass-mug", '\uf2a6'),
    MDI_GLASS_STANGE("mdi-glass-stange", '\uf2a7'),
    MDI_GLASS_TULIP("mdi-glass-tulip", '\uf2a8'),
    MDI_GMAIL("mdi-gmail", '\uf2ab'),
    MDI_GNOME("mdi-gnome", '\uf2ac'),
    MDI_GONDOLA("mdi-gondola", '\uf685'),
    MDI_GOOGLE("mdi-google", '\uf2ad'),
    MDI_GOOGLE_CARDBOARD("mdi-google-cardboard", '\uf2ae'),
    MDI_GOOGLE_CHROME("mdi-google-chrome", '\uf2af'),
    MDI_GOOGLE_CIRCLES("mdi-google-circles", '\uf2b0'),
    MDI_GOOGLE_CIRCLES_COMMUNITIES("mdi-google-circles-communities", '\uf2b1'),
    MDI_GOOGLE_CIRCLES_EXTENDED("mdi-google-circles-extended", '\uf2b2'),
    MDI_GOOGLE_CIRCLES_GROUP("mdi-google-circles-group", '\uf2b3'),
    MDI_GOOGLE_CONTROLLER("mdi-google-controller", '\uf2b4'),
    MDI_GOOGLE_CONTROLLER_OFF("mdi-google-controller-off", '\uf2b5'),
    MDI_GOOGLE_DRIVE("mdi-google-drive", '\uf2b6'),
    MDI_GOOGLE_EARTH("mdi-google-earth", '\uf2b7'),
    MDI_GOOGLE_GLASS("mdi-google-glass", '\uf2b8'),
    MDI_GOOGLE_MAPS("mdi-google-maps", '\uf5f5'),
    MDI_GOOGLE_NEARBY("mdi-google-nearby", '\uf2b9'),
    MDI_GOOGLE_PAGES("mdi-google-pages", '\uf2ba'),
    MDI_GOOGLE_PHYSICAL_WEB("mdi-google-physical-web", '\uf2bb'),
    MDI_GOOGLE_PLAY("mdi-google-play", '\uf2bc'),
    MDI_GOOGLE_PLUS("mdi-google-plus", '\uf2bd'),
    MDI_GOOGLE_PLUS_BOX("mdi-google-plus-box", '\uf2be'),
    MDI_GOOGLE_TRANSLATE("mdi-google-translate", '\uf2bf'),
    MDI_GOOGLE_WALLET("mdi-google-wallet", '\uf2c0'),
    MDI_GRADIENT("mdi-gradient", '\uf69f'),
    MDI_GREASE_PENCIL("mdi-grease-pencil", '\uf648'),
    MDI_GRID("mdi-grid", '\uf2c1'),
    MDI_GRID_OFF("mdi-grid-off", '\uf2c2'),
    MDI_GROUP("mdi-group", '\uf2c3'),
    MDI_GUITAR_ELECTRIC("mdi-guitar-electric", '\uf2c4'),
    MDI_GUITAR_PICK("mdi-guitar-pick", '\uf2c5'),
    MDI_GUITAR_PICK_OUTLINE("mdi-guitar-pick-outline", '\uf2c6'),
    MDI_HACKERNEWS("mdi-hackernews", '\uf624'),
    MDI_HAMBURGER("mdi-hamburger", '\uf684'),
    MDI_HAND_POINTING_RIGHT("mdi-hand-pointing-right", '\uf2c7'),
    MDI_HANGER("mdi-hanger", '\uf2c8'),
    MDI_HANGOUTS("mdi-hangouts", '\uf2c9'),
    MDI_HARDDISK("mdi-harddisk", '\uf2ca'),
    MDI_HEADPHONES("mdi-headphones", '\uf2cb'),
    MDI_HEADPHONES_BOX("mdi-headphones-box", '\uf2cc'),
    MDI_HEADPHONES_SETTINGS("mdi-headphones-settings", '\uf2cd'),
    MDI_HEADSET("mdi-headset", '\uf2ce'),
    MDI_HEADSET_DOCK("mdi-headset-dock", '\uf2cf'),
    MDI_HEADSET_OFF("mdi-headset-off", '\uf2d0'),
    MDI_HEART("mdi-heart", '\uf2d1'),
    MDI_HEART_BOX("mdi-heart-box", '\uf2d2'),
    MDI_HEART_BOX_OUTLINE("mdi-heart-box-outline", '\uf2d3'),
    MDI_HEART_BROKEN("mdi-heart-broken", '\uf2d4'),
    MDI_HEART_OUTLINE("mdi-heart-outline", '\uf2d5'),
    MDI_HEART_PULSE("mdi-heart-pulse", '\uf5f6'),
    MDI_HELP("mdi-help", '\uf2d6'),
    MDI_HELP_CIRCLE("mdi-help-circle", '\uf2d7'),
    MDI_HELP_CIRCLE_OUTLINE("mdi-help-circle-outline", '\uf625'),
    MDI_HEXAGON("mdi-hexagon", '\uf2d8'),
    MDI_HEXAGON_OUTLINE("mdi-hexagon-outline", '\uf2d9'),
    MDI_HIGHWAY("mdi-highway", '\uf5f7'),
    MDI_HISTORY("mdi-history", '\uf2da'),
    MDI_HOLOLENS("mdi-hololens", '\uf2db'),
    MDI_HOME("mdi-home", '\uf2dc'),
    MDI_HOME_MAP_MARKER("mdi-home-map-marker", '\uf5f8'),
    MDI_HOME_MODERN("mdi-home-modern", '\uf2dd'),
    MDI_HOME_OUTLINE("mdi-home-outline", '\uf6a0'),
    MDI_HOME_VARIANT("mdi-home-variant", '\uf2de'),
    MDI_HOPS("mdi-hops", '\uf2df'),
    MDI_HOSPITAL("mdi-hospital", '\uf2e0'),
    MDI_HOSPITAL_BUILDING("mdi-hospital-building", '\uf2e1'),
    MDI_HOSPITAL_MARKER("mdi-hospital-marker", '\uf2e2'),
    MDI_HOTEL("mdi-hotel", '\uf2e3'),
    MDI_HOUZZ("mdi-houzz", '\uf2e4'),
    MDI_HOUZZ_BOX("mdi-houzz-box", '\uf2e5'),
    MDI_HUMAN("mdi-human", '\uf2e6'),
    MDI_HUMAN_CHILD("mdi-human-child", '\uf2e7'),
    MDI_HUMAN_FEMALE("mdi-human-female", '\uf649'),
    MDI_HUMAN_GREETING("mdi-human-greeting", '\uf64a'),
    MDI_HUMAN_HANDSDOWN("mdi-human-handsdown", '\uf64b'),
    MDI_HUMAN_HANDSUP("mdi-human-handsup", '\uf64c'),
    MDI_HUMAN_MALE("mdi-human-male", '\uf64d'),
    MDI_HUMAN_MALE_FEMALE("mdi-human-male-female", '\uf2e8'),
    MDI_HUMAN_PREGNANT("mdi-human-pregnant", '\uf5cf'),
    MDI_IMAGE("mdi-image", '\uf2e9'),
    MDI_IMAGE_ALBUM("mdi-image-album", '\uf2ea'),
    MDI_IMAGE_AREA("mdi-image-area", '\uf2eb'),
    MDI_IMAGE_AREA_CLOSE("mdi-image-area-close", '\uf2ec'),
    MDI_IMAGE_BROKEN("mdi-image-broken", '\uf2ed'),
    MDI_IMAGE_BROKEN_VARIANT("mdi-image-broken-variant", '\uf2ee'),
    MDI_IMAGE_FILTER("mdi-image-filter", '\uf2ef'),
    MDI_IMAGE_FILTER_BLACK_WHITE("mdi-image-filter-black-white", '\uf2f0'),
    MDI_IMAGE_FILTER_CENTER_FOCUS("mdi-image-filter-center-focus", '\uf2f1'),
    MDI_IMAGE_FILTER_CENTER_FOCUS_WEAK("mdi-image-filter-center-focus-weak", '\uf2f2'),
    MDI_IMAGE_FILTER_DRAMA("mdi-image-filter-drama", '\uf2f3'),
    MDI_IMAGE_FILTER_FRAMES("mdi-image-filter-frames", '\uf2f4'),
    MDI_IMAGE_FILTER_HDR("mdi-image-filter-hdr", '\uf2f5'),
    MDI_IMAGE_FILTER_NONE("mdi-image-filter-none", '\uf2f6'),
    MDI_IMAGE_FILTER_TILT_SHIFT("mdi-image-filter-tilt-shift", '\uf2f7'),
    MDI_IMAGE_FILTER_VINTAGE("mdi-image-filter-vintage", '\uf2f8'),
    MDI_IMAGE_MULTIPLE("mdi-image-multiple", '\uf2f9'),
    MDI_IMPORT("mdi-import", '\uf2fa'),
    MDI_INBOX("mdi-inbox", '\uf686'),
    MDI_INBOX_ARROW_DOWN("mdi-inbox-arrow-down", '\uf2fb'),
    MDI_INBOX_ARROW_UP("mdi-inbox-arrow-up", '\uf3d1'),
    MDI_INCOGNITO("mdi-incognito", '\uf5f9'),
    MDI_INFORMATION("mdi-information", '\uf2fc'),
    MDI_INFORMATION_OUTLINE("mdi-information-outline", '\uf2fd'),
    MDI_INFORMATION_VARIANT("mdi-information-variant", '\uf64e'),
    MDI_INSTAGRAM("mdi-instagram", '\uf2fe'),
    MDI_INSTAPAPER("mdi-instapaper", '\uf2ff'),
    MDI_INTERNET_EXPLORER("mdi-internet-explorer", '\uf300'),
    MDI_INVERT_COLORS("mdi-invert-colors", '\uf301'),
    MDI_ITUNES("mdi-itunes", '\uf676'),
    MDI_JEEPNEY("mdi-jeepney", '\uf302'),
    MDI_JIRA("mdi-jira", '\uf303'),
    MDI_JSFIDDLE("mdi-jsfiddle", '\uf304'),
    MDI_JSON("mdi-json", '\uf626'),
    MDI_KEG("mdi-keg", '\uf305'),
    MDI_KETTLE("mdi-kettle", '\uf5fa'),
    MDI_KEY("mdi-key", '\uf306'),
    MDI_KEYBOARD("mdi-keyboard", '\uf30c'),
    MDI_KEYBOARD_BACKSPACE("mdi-keyboard-backspace", '\uf30d'),
    MDI_KEYBOARD_CAPS("mdi-keyboard-caps", '\uf30e'),
    MDI_KEYBOARD_CLOSE("mdi-keyboard-close", '\uf30f'),
    MDI_KEYBOARD_OFF("mdi-keyboard-off", '\uf310'),
    MDI_KEYBOARD_RETURN("mdi-keyboard-return", '\uf311'),
    MDI_KEYBOARD_TAB("mdi-keyboard-tab", '\uf312'),
    MDI_KEYBOARD_VARIANT("mdi-keyboard-variant", '\uf313'),
    MDI_KEY_CHANGE("mdi-key-change", '\uf307'),
    MDI_KEY_MINUS("mdi-key-minus", '\uf308'),
    MDI_KEY_PLUS("mdi-key-plus", '\uf309'),
    MDI_KEY_REMOVE("mdi-key-remove", '\uf30a'),
    MDI_KEY_VARIANT("mdi-key-variant", '\uf30b'),
    MDI_KODI("mdi-kodi", '\uf314'),
    MDI_LABEL("mdi-label", '\uf315'),
    MDI_LABEL_OUTLINE("mdi-label-outline", '\uf316'),
    MDI_LAMBDA("mdi-lambda", '\uf627'),
    MDI_LAMP("mdi-lamp", '\uf6b4'),
    MDI_LAN("mdi-lan", '\uf317'),
    MDI_LANGUAGE_C("mdi-language-c", '\uf671'),
    MDI_LANGUAGE_CPP("mdi-language-cpp", '\uf672'),
    MDI_LANGUAGE_CSHARP("mdi-language-csharp", '\uf31b'),
    MDI_LANGUAGE_CSS3("mdi-language-css3", '\uf31c'),
    MDI_LANGUAGE_HTML5("mdi-language-html5", '\uf31d'),
    MDI_LANGUAGE_JAVASCRIPT("mdi-language-javascript", '\uf31e'),
    MDI_LANGUAGE_PHP("mdi-language-php", '\uf31f'),
    MDI_LANGUAGE_PYTHON("mdi-language-python", '\uf320'),
    MDI_LANGUAGE_PYTHON_TEXT("mdi-language-python-text", '\uf321'),
    MDI_LAN_CONNECT("mdi-lan-connect", '\uf318'),
    MDI_LAN_DISCONNECT("mdi-lan-disconnect", '\uf319'),
    MDI_LAN_PENDING("mdi-lan-pending", '\uf31a'),
    MDI_LAPTOP("mdi-laptop", '\uf322'),
    MDI_LAPTOP_CHROMEBOOK("mdi-laptop-chromebook", '\uf323'),
    MDI_LAPTOP_MAC("mdi-laptop-mac", '\uf324'),
    MDI_LAPTOP_WINDOWS("mdi-laptop-windows", '\uf325'),
    MDI_LASTFM("mdi-lastfm", '\uf326'),
    MDI_LAUNCH("mdi-launch", '\uf327'),
    MDI_LAYERS("mdi-layers", '\uf328'),
    MDI_LAYERS_OFF("mdi-layers-off", '\uf329'),
    MDI_LEAD_PENCIL("mdi-lead-pencil", '\uf64f'),
    MDI_LEAF("mdi-leaf", '\uf32a'),
    MDI_LED_OFF("mdi-led-off", '\uf32b'),
    MDI_LED_ON("mdi-led-on", '\uf32c'),
    MDI_LED_OUTLINE("mdi-led-outline", '\uf32d'),
    MDI_LED_VARIANT_OFF("mdi-led-variant-off", '\uf32e'),
    MDI_LED_VARIANT_ON("mdi-led-variant-on", '\uf32f'),
    MDI_LED_VARIANT_OUTLINE("mdi-led-variant-outline", '\uf330'),
    MDI_LIBRARY("mdi-library", '\uf331'),
    MDI_LIBRARY_BOOKS("mdi-library-books", '\uf332'),
    MDI_LIBRARY_MUSIC("mdi-library-music", '\uf333'),
    MDI_LIBRARY_PLUS("mdi-library-plus", '\uf334'),
    MDI_LIGHTBULB("mdi-lightbulb", '\uf335'),
    MDI_LIGHTBULB_OUTLINE("mdi-lightbulb-outline", '\uf336'),
    MDI_LINK("mdi-link", '\uf337'),
    MDI_LINKEDIN("mdi-linkedin", '\uf33b'),
    MDI_LINKEDIN_BOX("mdi-linkedin-box", '\uf33c'),
    MDI_LINK_OFF("mdi-link-off", '\uf338'),
    MDI_LINK_VARIANT("mdi-link-variant", '\uf339'),
    MDI_LINK_VARIANT_OFF("mdi-link-variant-off", '\uf33a'),
    MDI_LINUX("mdi-linux", '\uf33d'),
    MDI_LOCK("mdi-lock", '\uf33e'),
    MDI_LOCK_OPEN("mdi-lock-open", '\uf33f'),
    MDI_LOCK_OPEN_OUTLINE("mdi-lock-open-outline", '\uf340'),
    MDI_LOCK_OUTLINE("mdi-lock-outline", '\uf341'),
    MDI_LOCK_PLUS("mdi-lock-plus", '\uf5fb'),
    MDI_LOGIN("mdi-login", '\uf342'),
    MDI_LOGIN_VARIANT("mdi-login-variant", '\uf5fc'),
    MDI_LOGOUT("mdi-logout", '\uf343'),
    MDI_LOGOUT_VARIANT("mdi-logout-variant", '\uf5fd'),
    MDI_LOOKS("mdi-looks", '\uf344'),
    MDI_LOUPE("mdi-loupe", '\uf345'),
    MDI_LUMX("mdi-lumx", '\uf346'),
    MDI_MAGNET("mdi-magnet", '\uf347'),
    MDI_MAGNET_ON("mdi-magnet-on", '\uf348'),
    MDI_MAGNIFY("mdi-magnify", '\uf349'),
    MDI_MAGNIFY_MINUS("mdi-magnify-minus", '\uf34a'),
    MDI_MAGNIFY_PLUS("mdi-magnify-plus", '\uf34b'),
    MDI_MAIL_RU("mdi-mail-ru", '\uf34c'),
    MDI_MAP("mdi-map", '\uf34d'),
    MDI_MAP_MARKER("mdi-map-marker", '\uf34e'),
    MDI_MAP_MARKER_CIRCLE("mdi-map-marker-circle", '\uf34f'),
    MDI_MAP_MARKER_MINUS("mdi-map-marker-minus", '\uf650'),
    MDI_MAP_MARKER_MULTIPLE("mdi-map-marker-multiple", '\uf350'),
    MDI_MAP_MARKER_OFF("mdi-map-marker-off", '\uf351'),
    MDI_MAP_MARKER_PLUS("mdi-map-marker-plus", '\uf651'),
    MDI_MAP_MARKER_RADIUS("mdi-map-marker-radius", '\uf352'),
    MDI_MARGIN("mdi-margin", '\uf353'),
    MDI_MARKDOWN("mdi-markdown", '\uf354'),
    MDI_MARKER("mdi-marker", '\uf652'),
    MDI_MARKER_CHECK("mdi-marker-check", '\uf355'),
    MDI_MARTINI("mdi-martini", '\uf356'),
    MDI_MATERIAL_UI("mdi-material-ui", '\uf357'),
    MDI_MATH_COMPASS("mdi-math-compass", '\uf358'),
    MDI_MATRIX("mdi-matrix", '\uf628'),
    MDI_MAXCDN("mdi-maxcdn", '\uf359'),
    MDI_MEDIUM("mdi-medium", '\uf35a'),
    MDI_MEMORY("mdi-memory", '\uf35b'),
    MDI_MENU("mdi-menu", '\uf35c'),
    MDI_MENU_DOWN("mdi-menu-down", '\uf35d'),
    MDI_MENU_DOWN_OUTLINE("mdi-menu-down-outline", '\uf6b5'),
    MDI_MENU_LEFT("mdi-menu-left", '\uf35e'),
    MDI_MENU_RIGHT("mdi-menu-right", '\uf35f'),
    MDI_MENU_UP("mdi-menu-up", '\uf360'),
    MDI_MENU_UP_OUTLINE("mdi-menu-up-outline", '\uf6b6'),
    MDI_MESSAGE("mdi-message", '\uf361'),
    MDI_MESSAGE_ALERT("mdi-message-alert", '\uf362'),
    MDI_MESSAGE_BULLETED("mdi-message-bulleted", '\uf6a1'),
    MDI_MESSAGE_BULLETED_OFF("mdi-message-bulleted-off", '\uf6a2'),
    MDI_MESSAGE_DRAW("mdi-message-draw", '\uf363'),
    MDI_MESSAGE_IMAGE("mdi-message-image", '\uf364'),
    MDI_MESSAGE_OUTLINE("mdi-message-outline", '\uf365'),
    MDI_MESSAGE_PLUS("mdi-message-plus", '\uf653'),
    MDI_MESSAGE_PROCESSING("mdi-message-processing", '\uf366'),
    MDI_MESSAGE_REPLY("mdi-message-reply", '\uf367'),
    MDI_MESSAGE_REPLY_TEXT("mdi-message-reply-text", '\uf368'),
    MDI_MESSAGE_TEXT("mdi-message-text", '\uf369'),
    MDI_MESSAGE_TEXT_OUTLINE("mdi-message-text-outline", '\uf36a'),
    MDI_MESSAGE_VIDEO("mdi-message-video", '\uf36b'),
    MDI_METEOR("mdi-meteor", '\uf629'),
    MDI_MICROPHONE("mdi-microphone", '\uf36c'),
    MDI_MICROPHONE_OFF("mdi-microphone-off", '\uf36d'),
    MDI_MICROPHONE_OUTLINE("mdi-microphone-outline", '\uf36e'),
    MDI_MICROPHONE_SETTINGS("mdi-microphone-settings", '\uf36f'),
    MDI_MICROPHONE_VARIANT("mdi-microphone-variant", '\uf370'),
    MDI_MICROPHONE_VARIANT_OFF("mdi-microphone-variant-off", '\uf371'),
    MDI_MICROSCOPE("mdi-microscope", '\uf654'),
    MDI_MICROSOFT("mdi-microsoft", '\uf372'),
    MDI_MINECRAFT("mdi-minecraft", '\uf373'),
    MDI_MINUS("mdi-minus", '\uf374'),
    MDI_MINUS_BOX("mdi-minus-box", '\uf375'),
    MDI_MINUS_CIRCLE("mdi-minus-circle", '\uf376'),
    MDI_MINUS_CIRCLE_OUTLINE("mdi-minus-circle-outline", '\uf377'),
    MDI_MINUS_NETWORK("mdi-minus-network", '\uf378'),
    MDI_MIXCLOUD("mdi-mixcloud", '\uf62a'),
    MDI_MONITOR("mdi-monitor", '\uf379'),
    MDI_MONITOR_MULTIPLE("mdi-monitor-multiple", '\uf37a'),
    MDI_MORE("mdi-more", '\uf37b'),
    MDI_MOTORBIKE("mdi-motorbike", '\uf37c'),
    MDI_MOUSE("mdi-mouse", '\uf37d'),
    MDI_MOUSE_OFF("mdi-mouse-off", '\uf37e'),
    MDI_MOUSE_VARIANT("mdi-mouse-variant", '\uf37f'),
    MDI_MOUSE_VARIANT_OFF("mdi-mouse-variant-off", '\uf380'),
    MDI_MOVE_RESIZE("mdi-move-resize", '\uf655'),
    MDI_MOVE_RESIZE_VARIANT("mdi-move-resize-variant", '\uf656'),
    MDI_MOVIE("mdi-movie", '\uf381'),
    MDI_MULTIPLICATION("mdi-multiplication", '\uf382'),
    MDI_MULTIPLICATION_BOX("mdi-multiplication-box", '\uf383'),
    MDI_MUSIC_BOX("mdi-music-box", '\uf384'),
    MDI_MUSIC_BOX_OUTLINE("mdi-music-box-outline", '\uf385'),
    MDI_MUSIC_CIRCLE("mdi-music-circle", '\uf386'),
    MDI_MUSIC_NOTE("mdi-music-note", '\uf387'),
    MDI_MUSIC_NOTE_BLUETOOTH("mdi-music-note-bluetooth", '\uf5fe'),
    MDI_MUSIC_NOTE_BLUETOOTH_OFF("mdi-music-note-bluetooth-off", '\uf5ff'),
    MDI_MUSIC_NOTE_EIGHTH("mdi-music-note-eighth", '\uf388'),
    MDI_MUSIC_NOTE_HALF("mdi-music-note-half", '\uf389'),
    MDI_MUSIC_NOTE_OFF("mdi-music-note-off", '\uf38a'),
    MDI_MUSIC_NOTE_QUARTER("mdi-music-note-quarter", '\uf38b'),
    MDI_MUSIC_NOTE_SIXTEENTH("mdi-music-note-sixteenth", '\uf38c'),
    MDI_MUSIC_NOTE_WHOLE("mdi-music-note-whole", '\uf38d'),
    MDI_NATURE("mdi-nature", '\uf38e'),
    MDI_NATURE_PEOPLE("mdi-nature-people", '\uf38f'),
    MDI_NAVIGATION("mdi-navigation", '\uf390'),
    MDI_NEAR_ME("mdi-near-me", '\uf5cd'),
    MDI_NEEDLE("mdi-needle", '\uf391'),
    MDI_NEST_PROTECT("mdi-nest-protect", '\uf392'),
    MDI_NEST_THERMOSTAT("mdi-nest-thermostat", '\uf393'),
    MDI_NEWSPAPER("mdi-newspaper", '\uf395'),
    MDI_NEW_BOX("mdi-new-box", '\uf394'),
    MDI_NFC("mdi-nfc", '\uf396'),
    MDI_NFC_TAP("mdi-nfc-tap", '\uf397'),
    MDI_NFC_VARIANT("mdi-nfc-variant", '\uf398'),
    MDI_NODEJS("mdi-nodejs", '\uf399'),
    MDI_NOTE("mdi-note", '\uf39a'),
    MDI_NOTE_MULTIPLE("mdi-note-multiple", '\uf6b7'),
    MDI_NOTE_MULTIPLE_OUTLINE("mdi-note-multiple-outline", '\uf6b8'),
    MDI_NOTE_OUTLINE("mdi-note-outline", '\uf39b'),
    MDI_NOTE_PLUS("mdi-note-plus", '\uf39c'),
    MDI_NOTE_PLUS_OUTLINE("mdi-note-plus-outline", '\uf39d'),
    MDI_NOTE_TEXT("mdi-note-text", '\uf39e'),
    MDI_NOTIFICATION_CLEAR_ALL("mdi-notification-clear-all", '\uf39f'),
    MDI_NUKE("mdi-nuke", '\uf6a3'),
    MDI_NUMERIC("mdi-numeric", '\uf3a0'),
    MDI_NUMERIC_0_BOX("mdi-numeric-0-box", '\uf3a1'),
    MDI_NUMERIC_0_BOX_MULTIPLE_OUTLINE("mdi-numeric-0-box-multiple-outline", '\uf3a2'),
    MDI_NUMERIC_0_BOX_OUTLINE("mdi-numeric-0-box-outline", '\uf3a3'),
    MDI_NUMERIC_1_BOX("mdi-numeric-1-box", '\uf3a4'),
    MDI_NUMERIC_1_BOX_MULTIPLE_OUTLINE("mdi-numeric-1-box-multiple-outline", '\uf3a5'),
    MDI_NUMERIC_1_BOX_OUTLINE("mdi-numeric-1-box-outline", '\uf3a6'),
    MDI_NUMERIC_2_BOX("mdi-numeric-2-box", '\uf3a7'),
    MDI_NUMERIC_2_BOX_MULTIPLE_OUTLINE("mdi-numeric-2-box-multiple-outline", '\uf3a8'),
    MDI_NUMERIC_2_BOX_OUTLINE("mdi-numeric-2-box-outline", '\uf3a9'),
    MDI_NUMERIC_3_BOX("mdi-numeric-3-box", '\uf3aa'),
    MDI_NUMERIC_3_BOX_MULTIPLE_OUTLINE("mdi-numeric-3-box-multiple-outline", '\uf3ab'),
    MDI_NUMERIC_3_BOX_OUTLINE("mdi-numeric-3-box-outline", '\uf3ac'),
    MDI_NUMERIC_4_BOX("mdi-numeric-4-box", '\uf3ad'),
    MDI_NUMERIC_4_BOX_MULTIPLE_OUTLINE("mdi-numeric-4-box-multiple-outline", '\uf3ae'),
    MDI_NUMERIC_4_BOX_OUTLINE("mdi-numeric-4-box-outline", '\uf3af'),
    MDI_NUMERIC_5_BOX("mdi-numeric-5-box", '\uf3b0'),
    MDI_NUMERIC_5_BOX_MULTIPLE_OUTLINE("mdi-numeric-5-box-multiple-outline", '\uf3b1'),
    MDI_NUMERIC_5_BOX_OUTLINE("mdi-numeric-5-box-outline", '\uf3b2'),
    MDI_NUMERIC_6_BOX("mdi-numeric-6-box", '\uf3b3'),
    MDI_NUMERIC_6_BOX_MULTIPLE_OUTLINE("mdi-numeric-6-box-multiple-outline", '\uf3b4'),
    MDI_NUMERIC_6_BOX_OUTLINE("mdi-numeric-6-box-outline", '\uf3b5'),
    MDI_NUMERIC_7_BOX("mdi-numeric-7-box", '\uf3b6'),
    MDI_NUMERIC_7_BOX_MULTIPLE_OUTLINE("mdi-numeric-7-box-multiple-outline", '\uf3b7'),
    MDI_NUMERIC_7_BOX_OUTLINE("mdi-numeric-7-box-outline", '\uf3b8'),
    MDI_NUMERIC_8_BOX("mdi-numeric-8-box", '\uf3b9'),
    MDI_NUMERIC_8_BOX_MULTIPLE_OUTLINE("mdi-numeric-8-box-multiple-outline", '\uf3ba'),
    MDI_NUMERIC_8_BOX_OUTLINE("mdi-numeric-8-box-outline", '\uf3bb'),
    MDI_NUMERIC_9_BOX("mdi-numeric-9-box", '\uf3bc'),
    MDI_NUMERIC_9_BOX_MULTIPLE_OUTLINE("mdi-numeric-9-box-multiple-outline", '\uf3bd'),
    MDI_NUMERIC_9_BOX_OUTLINE("mdi-numeric-9-box-outline", '\uf3be'),
    MDI_NUMERIC_9_PLUS_BOX("mdi-numeric-9-plus-box", '\uf3bf'),
    MDI_NUMERIC_9_PLUS_BOX_MULTIPLE_OUTLINE("mdi-numeric-9-plus-box-multiple-outline", '\uf3c0'),
    MDI_NUMERIC_9_PLUS_BOX_OUTLINE("mdi-numeric-9-plus-box-outline", '\uf3c1'),
    MDI_NUTRITION("mdi-nutrition", '\uf3c2'),
    MDI_OAR("mdi-oar", '\uf67b'),
    MDI_OCTAGON("mdi-octagon", '\uf3c3'),
    MDI_OCTAGON_OUTLINE("mdi-octagon-outline", '\uf3c4'),
    MDI_ODNOKLASSNIKI("mdi-odnoklassniki", '\uf3c5'),
    MDI_OFFICE("mdi-office", '\uf3c6'),
    MDI_OIL("mdi-oil", '\uf3c7'),
    MDI_OIL_TEMPERATURE("mdi-oil-temperature", '\uf3c8'),
    MDI_OMEGA("mdi-omega", '\uf3c9'),
    MDI_ONEDRIVE("mdi-onedrive", '\uf3ca'),
    MDI_OPACITY("mdi-opacity", '\uf5cc'),
    MDI_OPENID("mdi-openid", '\uf3cd'),
    MDI_OPEN_IN_APP("mdi-open-in-app", '\uf3cb'),
    MDI_OPEN_IN_NEW("mdi-open-in-new", '\uf3cc'),
    MDI_OPERA("mdi-opera", '\uf3ce'),
    MDI_ORNAMENT("mdi-ornament", '\uf3cf'),
    MDI_ORNAMENT_VARIANT("mdi-ornament-variant", '\uf3d0'),
    MDI_OWL("mdi-owl", '\uf3d2'),
    MDI_PACKAGE("mdi-package", '\uf3d3'),
    MDI_PACKAGE_DOWN("mdi-package-down", '\uf3d4'),
    MDI_PACKAGE_UP("mdi-package-up", '\uf3d5'),
    MDI_PACKAGE_VARIANT("mdi-package-variant", '\uf3d6'),
    MDI_PACKAGE_VARIANT_CLOSED("mdi-package-variant-closed", '\uf3d7'),
    MDI_PAGE_FIRST("mdi-page-first", '\uf600'),
    MDI_PAGE_LAST("mdi-page-last", '\uf601'),
    MDI_PALETTE("mdi-palette", '\uf3d8'),
    MDI_PALETTE_ADVANCED("mdi-palette-advanced", '\uf3d9'),
    MDI_PANDA("mdi-panda", '\uf3da'),
    MDI_PANDORA("mdi-pandora", '\uf3db'),
    MDI_PANORAMA("mdi-panorama", '\uf3dc'),
    MDI_PANORAMA_FISHEYE("mdi-panorama-fisheye", '\uf3dd'),
    MDI_PANORAMA_HORIZONTAL("mdi-panorama-horizontal", '\uf3de'),
    MDI_PANORAMA_VERTICAL("mdi-panorama-vertical", '\uf3df'),
    MDI_PANORAMA_WIDE_ANGLE("mdi-panorama-wide-angle", '\uf3e0'),
    MDI_PAPERCLIP("mdi-paperclip", '\uf3e2'),
    MDI_PAPER_CUT_VERTICAL("mdi-paper-cut-vertical", '\uf3e1'),
    MDI_PARKING("mdi-parking", '\uf3e3'),
    MDI_PAUSE("mdi-pause", '\uf3e4'),
    MDI_PAUSE_CIRCLE("mdi-pause-circle", '\uf3e5'),
    MDI_PAUSE_CIRCLE_OUTLINE("mdi-pause-circle-outline", '\uf3e6'),
    MDI_PAUSE_OCTAGON("mdi-pause-octagon", '\uf3e7'),
    MDI_PAUSE_OCTAGON_OUTLINE("mdi-pause-octagon-outline", '\uf3e8'),
    MDI_PAW("mdi-paw", '\uf3e9'),
    MDI_PAW_OFF("mdi-paw-off", '\uf657'),
    MDI_PEN("mdi-pen", '\uf3ea'),
    MDI_PENCIL("mdi-pencil", '\uf3eb'),
    MDI_PENCIL_BOX("mdi-pencil-box", '\uf3ec'),
    MDI_PENCIL_BOX_OUTLINE("mdi-pencil-box-outline", '\uf3ed'),
    MDI_PENCIL_LOCK("mdi-pencil-lock", '\uf3ee'),
    MDI_PENCIL_OFF("mdi-pencil-off", '\uf3ef'),
    MDI_PERCENT("mdi-percent", '\uf3f0'),
    MDI_PHARMACY("mdi-pharmacy", '\uf3f1'),
    MDI_PHONE("mdi-phone", '\uf3f2'),
    MDI_PHONE_BLUETOOTH("mdi-phone-bluetooth", '\uf3f3'),
    MDI_PHONE_CLASSIC("mdi-phone-classic", '\uf602'),
    MDI_PHONE_FORWARD("mdi-phone-forward", '\uf3f4'),
    MDI_PHONE_HANGUP("mdi-phone-hangup", '\uf3f5'),
    MDI_PHONE_INCOMING("mdi-phone-incoming", '\uf3f7'),
    MDI_PHONE_IN_TALK("mdi-phone-in-talk", '\uf3f6'),
    MDI_PHONE_LOCKED("mdi-phone-locked", '\uf3f8'),
    MDI_PHONE_LOG("mdi-phone-log", '\uf3f9'),
    MDI_PHONE_MINUS("mdi-phone-minus", '\uf658'),
    MDI_PHONE_MISSED("mdi-phone-missed", '\uf3fa'),
    MDI_PHONE_OUTGOING("mdi-phone-outgoing", '\uf3fb'),
    MDI_PHONE_PAUSED("mdi-phone-paused", '\uf3fc'),
    MDI_PHONE_PLUS("mdi-phone-plus", '\uf659'),
    MDI_PHONE_SETTINGS("mdi-phone-settings", '\uf3fd'),
    MDI_PHONE_VOIP("mdi-phone-voip", '\uf3fe'),
    MDI_PI("mdi-pi", '\uf3ff'),
    MDI_PIANO("mdi-piano", '\uf67c'),
    MDI_PIG("mdi-pig", '\uf401'),
    MDI_PILL("mdi-pill", '\uf402'),
    MDI_PIN("mdi-pin", '\uf403'),
    MDI_PINE_TREE("mdi-pine-tree", '\uf405'),
    MDI_PINE_TREE_BOX("mdi-pine-tree-box", '\uf406'),
    MDI_PINTEREST("mdi-pinterest", '\uf407'),
    MDI_PINTEREST_BOX("mdi-pinterest-box", '\uf408'),
    MDI_PIN_OFF("mdi-pin-off", '\uf404'),
    MDI_PIZZA("mdi-pizza", '\uf409'),
    MDI_PI_BOX("mdi-pi-box", '\uf400'),
    MDI_PLANE_SHIELD("mdi-plane-shield", '\uf6ba'),
    MDI_PLAY("mdi-play", '\uf40a'),
    MDI_PLAYLIST_CHECK("mdi-playlist-check", '\uf5c7'),
    MDI_PLAYLIST_MINUS("mdi-playlist-minus", '\uf410'),
    MDI_PLAYLIST_PLAY("mdi-playlist-play", '\uf411'),
    MDI_PLAYLIST_PLUS("mdi-playlist-plus", '\uf412'),
    MDI_PLAYLIST_REMOVE("mdi-playlist-remove", '\uf413'),
    MDI_PLAYSTATION("mdi-playstation", '\uf414'),
    MDI_PLAY_BOX_OUTLINE("mdi-play-box-outline", '\uf40b'),
    MDI_PLAY_CIRCLE("mdi-play-circle", '\uf40c'),
    MDI_PLAY_CIRCLE_OUTLINE("mdi-play-circle-outline", '\uf40d'),
    MDI_PLAY_PAUSE("mdi-play-pause", '\uf40e'),
    MDI_PLAY_PROTECTED_CONTENT("mdi-play-protected-content", '\uf40f'),
    MDI_PLEX("mdi-plex", '\uf6b9'),
    MDI_PLUS("mdi-plus", '\uf415'),
    MDI_PLUS_BOX("mdi-plus-box", '\uf416'),
    MDI_PLUS_CIRCLE("mdi-plus-circle", '\uf417'),
    MDI_PLUS_CIRCLE_MULTIPLE_OUTLINE("mdi-plus-circle-multiple-outline", '\uf418'),
    MDI_PLUS_CIRCLE_OUTLINE("mdi-plus-circle-outline", '\uf419'),
    MDI_PLUS_NETWORK("mdi-plus-network", '\uf41a'),
    MDI_PLUS_ONE("mdi-plus-one", '\uf41b'),
    MDI_POCKET("mdi-pocket", '\uf41c'),
    MDI_POKEBALL("mdi-pokeball", '\uf41d'),
    MDI_POLAROID("mdi-polaroid", '\uf41e'),
    MDI_POLL("mdi-poll", '\uf41f'),
    MDI_POLL_BOX("mdi-poll-box", '\uf420'),
    MDI_POLYMER("mdi-polymer", '\uf421'),
    MDI_POOL("mdi-pool", '\uf606'),
    MDI_POPCORN("mdi-popcorn", '\uf422'),
    MDI_POT("mdi-pot", '\uf65a'),
    MDI_POT_MIX("mdi-pot-mix", '\uf65b'),
    MDI_POUND("mdi-pound", '\uf423'),
    MDI_POUND_BOX("mdi-pound-box", '\uf424'),
    MDI_POWER("mdi-power", '\uf425'),
    MDI_POWER_PLUG("mdi-power-plug", '\uf6a4'),
    MDI_POWER_PLUG_OFF("mdi-power-plug-off", '\uf6a5'),
    MDI_POWER_SETTINGS("mdi-power-settings", '\uf426'),
    MDI_POWER_SOCKET("mdi-power-socket", '\uf427'),
    MDI_PRESENTATION("mdi-presentation", '\uf428'),
    MDI_PRESENTATION_PLAY("mdi-presentation-play", '\uf429'),
    MDI_PRINTER("mdi-printer", '\uf42a'),
    MDI_PRINTER_3D("mdi-printer-3d", '\uf42b'),
    MDI_PRINTER_ALERT("mdi-printer-alert", '\uf42c'),
    MDI_PRIORITY_HIGH("mdi-priority-high", '\uf603'),
    MDI_PRIORITY_LOW("mdi-priority-low", '\uf604'),
    MDI_PROFESSIONAL_HEXAGON("mdi-professional-hexagon", '\uf42d'),
    MDI_PROJECTOR("mdi-projector", '\uf42e'),
    MDI_PROJECTOR_SCREEN("mdi-projector-screen", '\uf42f'),
    MDI_PUBLISH("mdi-publish", '\uf6a6'),
    MDI_PULSE("mdi-pulse", '\uf430'),
    MDI_PUZZLE("mdi-puzzle", '\uf431'),
    MDI_QQCHAT("mdi-qqchat", '\uf605'),
    MDI_QRCODE("mdi-qrcode", '\uf432'),
    MDI_QRCODE_SCAN("mdi-qrcode-scan", '\uf433'),
    MDI_QUADCOPTER("mdi-quadcopter", '\uf434'),
    MDI_QUALITY_HIGH("mdi-quality-high", '\uf435'),
    MDI_QUICKTIME("mdi-quicktime", '\uf436'),
    MDI_RADAR("mdi-radar", '\uf437'),
    MDI_RADIATOR("mdi-radiator", '\uf438'),
    MDI_RADIO("mdi-radio", '\uf439'),
    MDI_RADIOACTIVE("mdi-radioactive", '\uf43c'),
    MDI_RADIOBOX_BLANK("mdi-radiobox-blank", '\uf43d'),
    MDI_RADIOBOX_MARKED("mdi-radiobox-marked", '\uf43e'),
    MDI_RADIO_HANDHELD("mdi-radio-handheld", '\uf43a'),
    MDI_RADIO_TOWER("mdi-radio-tower", '\uf43b'),
    MDI_RASPBERRYPI("mdi-raspberrypi", '\uf43f'),
    MDI_RAY_END("mdi-ray-end", '\uf440'),
    MDI_RAY_END_ARROW("mdi-ray-end-arrow", '\uf441'),
    MDI_RAY_START("mdi-ray-start", '\uf442'),
    MDI_RAY_START_ARROW("mdi-ray-start-arrow", '\uf443'),
    MDI_RAY_START_END("mdi-ray-start-end", '\uf444'),
    MDI_RAY_VERTEX("mdi-ray-vertex", '\uf445'),
    MDI_RDIO("mdi-rdio", '\uf446'),
    MDI_READ("mdi-read", '\uf447'),
    MDI_READABILITY("mdi-readability", '\uf448'),
    MDI_RECEIPT("mdi-receipt", '\uf449'),
    MDI_RECORD("mdi-record", '\uf44a'),
    MDI_RECORD_REC("mdi-record-rec", '\uf44b'),
    MDI_RECYCLE("mdi-recycle", '\uf44c'),
    MDI_REDDIT("mdi-reddit", '\uf44d'),
    MDI_REDO("mdi-redo", '\uf44e'),
    MDI_REDO_VARIANT("mdi-redo-variant", '\uf44f'),
    MDI_REFRESH("mdi-refresh", '\uf450'),
    MDI_REGEX("mdi-regex", '\uf451'),
    MDI_RELATIVE_SCALE("mdi-relative-scale", '\uf452'),
    MDI_RELOAD("mdi-reload", '\uf453'),
    MDI_REMOTE("mdi-remote", '\uf454'),
    MDI_RENAME_BOX("mdi-rename-box", '\uf455'),
    MDI_REORDER_HORIZONTAL("mdi-reorder-horizontal", '\uf687'),
    MDI_REORDER_VERTICAL("mdi-reorder-vertical", '\uf688'),
    MDI_REPEAT("mdi-repeat", '\uf456'),
    MDI_REPEAT_OFF("mdi-repeat-off", '\uf457'),
    MDI_REPEAT_ONCE("mdi-repeat-once", '\uf458'),
    MDI_REPLAY("mdi-replay", '\uf459'),
    MDI_REPLY("mdi-reply", '\uf45a'),
    MDI_REPLY_ALL("mdi-reply-all", '\uf45b'),
    MDI_REPRODUCTION("mdi-reproduction", '\uf45c'),
    MDI_RESIZE_BOTTOM_RIGHT("mdi-resize-bottom-right", '\uf45d'),
    MDI_RESPONSIVE("mdi-responsive", '\uf45e'),
    MDI_RESTORE("mdi-restore", '\uf6a7'),
    MDI_REWIND("mdi-rewind", '\uf45f'),
    MDI_RIBBON("mdi-ribbon", '\uf460'),
    MDI_ROAD("mdi-road", '\uf461'),
    MDI_ROAD_VARIANT("mdi-road-variant", '\uf462'),
    MDI_ROBOT("mdi-robot", '\uf6a8'),
    MDI_ROCKET("mdi-rocket", '\uf463'),
    MDI_ROTATE_3D("mdi-rotate-3d", '\uf464'),
    MDI_ROTATE_90("mdi-rotate-90", '\uf6a9'),
    MDI_ROTATE_LEFT("mdi-rotate-left", '\uf465'),
    MDI_ROTATE_LEFT_VARIANT("mdi-rotate-left-variant", '\uf466'),
    MDI_ROTATE_RIGHT("mdi-rotate-right", '\uf467'),
    MDI_ROTATE_RIGHT_VARIANT("mdi-rotate-right-variant", '\uf468'),
    MDI_ROUNDED_CORNER("mdi-rounded-corner", '\uf607'),
    MDI_ROUTER_WIRELESS("mdi-router-wireless", '\uf469'),
    MDI_ROUTES("mdi-routes", '\uf46a'),
    MDI_ROWING("mdi-rowing", '\uf608'),
    MDI_RSS("mdi-rss", '\uf46b'),
    MDI_RSS_BOX("mdi-rss-box", '\uf46c'),
    MDI_RULER("mdi-ruler", '\uf46d'),
    MDI_RUN("mdi-run", '\uf46e'),
    MDI_SALE("mdi-sale", '\uf46f'),
    MDI_SATELLITE("mdi-satellite", '\uf470'),
    MDI_SATELLITE_VARIANT("mdi-satellite-variant", '\uf471'),
    MDI_SAXOPHONE("mdi-saxophone", '\uf609'),
    MDI_SCALE("mdi-scale", '\uf472'),
    MDI_SCALE_BALANCE("mdi-scale-balance", '\uf5d1'),
    MDI_SCALE_BATHROOM("mdi-scale-bathroom", '\uf473'),
    MDI_SCANNER("mdi-scanner", '\uf6aa'),
    MDI_SCHOOL("mdi-school", '\uf474'),
    MDI_SCREEN_ROTATION("mdi-screen-rotation", '\uf475'),
    MDI_SCREEN_ROTATION_LOCK("mdi-screen-rotation-lock", '\uf476'),
    MDI_SCREWDRIVER("mdi-screwdriver", '\uf477'),
    MDI_SCRIPT("mdi-script", '\uf478'),
    MDI_SD("mdi-sd", '\uf479'),
    MDI_SEAL("mdi-seal", '\uf47a'),
    MDI_SEAT_FLAT("mdi-seat-flat", '\uf47b'),
    MDI_SEAT_FLAT_ANGLED("mdi-seat-flat-angled", '\uf47c'),
    MDI_SEAT_INDIVIDUAL_SUITE("mdi-seat-individual-suite", '\uf47d'),
    MDI_SEAT_LEGROOM_EXTRA("mdi-seat-legroom-extra", '\uf47e'),
    MDI_SEAT_LEGROOM_NORMAL("mdi-seat-legroom-normal", '\uf47f'),
    MDI_SEAT_LEGROOM_REDUCED("mdi-seat-legroom-reduced", '\uf480'),
    MDI_SEAT_RECLINE_EXTRA("mdi-seat-recline-extra", '\uf481'),
    MDI_SEAT_RECLINE_NORMAL("mdi-seat-recline-normal", '\uf482'),
    MDI_SECURITY("mdi-security", '\uf483'),
    MDI_SECURITY_HOME("mdi-security-home", '\uf689'),
    MDI_SECURITY_NETWORK("mdi-security-network", '\uf484'),
    MDI_SELECT("mdi-select", '\uf485'),
    MDI_SELECTION("mdi-selection", '\uf489'),
    MDI_SELECT_ALL("mdi-select-all", '\uf486'),
    MDI_SELECT_INVERSE("mdi-select-inverse", '\uf487'),
    MDI_SELECT_OFF("mdi-select-off", '\uf488'),
    MDI_SEND("mdi-send", '\uf48a'),
    MDI_SERIAL_PORT("mdi-serial-port", '\uf65c'),
    MDI_SERVER("mdi-server", '\uf48b'),
    MDI_SERVER_MINUS("mdi-server-minus", '\uf48c'),
    MDI_SERVER_NETWORK("mdi-server-network", '\uf48d'),
    MDI_SERVER_NETWORK_OFF("mdi-server-network-off", '\uf48e'),
    MDI_SERVER_OFF("mdi-server-off", '\uf48f'),
    MDI_SERVER_PLUS("mdi-server-plus", '\uf490'),
    MDI_SERVER_REMOVE("mdi-server-remove", '\uf491'),
    MDI_SERVER_SECURITY("mdi-server-security", '\uf492'),
    MDI_SETTINGS("mdi-settings", '\uf493'),
    MDI_SETTINGS_BOX("mdi-settings-box", '\uf494'),
    MDI_SHAPE_CIRCLE_PLUS("mdi-shape-circle-plus", '\uf65d'),
    MDI_SHAPE_PLUS("mdi-shape-plus", '\uf495'),
    MDI_SHAPE_POLYGON_PLUS("mdi-shape-polygon-plus", '\uf65e'),
    MDI_SHAPE_RECTANGLE_PLUS("mdi-shape-rectangle-plus", '\uf65f'),
    MDI_SHAPE_SQUARE_PLUS("mdi-shape-square-plus", '\uf660'),
    MDI_SHARE("mdi-share", '\uf496'),
    MDI_SHARE_VARIANT("mdi-share-variant", '\uf497'),
    MDI_SHIELD("mdi-shield", '\uf498'),
    MDI_SHIELD_OUTLINE("mdi-shield-outline", '\uf499'),
    MDI_SHOPPING("mdi-shopping", '\uf49a'),
    MDI_SHOPPING_MUSIC("mdi-shopping-music", '\uf49b'),
    MDI_SHREDDER("mdi-shredder", '\uf49c'),
    MDI_SHUFFLE("mdi-shuffle", '\uf49d'),
    MDI_SHUFFLE_DISABLED("mdi-shuffle-disabled", '\uf49e'),
    MDI_SHUFFLE_VARIANT("mdi-shuffle-variant", '\uf49f'),
    MDI_SIGMA("mdi-sigma", '\uf4a0'),
    MDI_SIGMA_LOWER("mdi-sigma-lower", '\uf62b'),
    MDI_SIGNAL("mdi-signal", '\uf4a2'),
    MDI_SIGNAL_VARIANT("mdi-signal-variant", '\uf60a'),
    MDI_SIGN_CAUTION("mdi-sign-caution", '\uf4a1'),
    MDI_SILVERWARE("mdi-silverware", '\uf4a3'),
    MDI_SILVERWARE_FORK("mdi-silverware-fork", '\uf4a4'),
    MDI_SILVERWARE_SPOON("mdi-silverware-spoon", '\uf4a5'),
    MDI_SILVERWARE_VARIANT("mdi-silverware-variant", '\uf4a6'),
    MDI_SIM("mdi-sim", '\uf4a7'),
    MDI_SIM_ALERT("mdi-sim-alert", '\uf4a8'),
    MDI_SIM_OFF("mdi-sim-off", '\uf4a9'),
    MDI_SITEMAP("mdi-sitemap", '\uf4aa'),
    MDI_SKIP_BACKWARD("mdi-skip-backward", '\uf4ab'),
    MDI_SKIP_FORWARD("mdi-skip-forward", '\uf4ac'),
    MDI_SKIP_NEXT("mdi-skip-next", '\uf4ad'),
    MDI_SKIP_NEXT_CIRCLE("mdi-skip-next-circle", '\uf661'),
    MDI_SKIP_NEXT_CIRCLE_OUTLINE("mdi-skip-next-circle-outline", '\uf662'),
    MDI_SKIP_PREVIOUS("mdi-skip-previous", '\uf4ae'),
    MDI_SKIP_PREVIOUS_CIRCLE("mdi-skip-previous-circle", '\uf663'),
    MDI_SKIP_PREVIOUS_CIRCLE_OUTLINE("mdi-skip-previous-circle-outline", '\uf664'),
    MDI_SKULL("mdi-skull", '\uf68b'),
    MDI_SKYPE("mdi-skype", '\uf4af'),
    MDI_SKYPE_BUSINESS("mdi-skype-business", '\uf4b0'),
    MDI_SLACK("mdi-slack", '\uf4b1'),
    MDI_SLEEP("mdi-sleep", '\uf4b2'),
    MDI_SLEEP_OFF("mdi-sleep-off", '\uf4b3'),
    MDI_SMOKING("mdi-smoking", '\uf4b4'),
    MDI_SMOKING_OFF("mdi-smoking-off", '\uf4b5'),
    MDI_SNAPCHAT("mdi-snapchat", '\uf4b6'),
    MDI_SNOWMAN("mdi-snowman", '\uf4b7'),
    MDI_SOCCER("mdi-soccer", '\uf4b8'),
    MDI_SOFA("mdi-sofa", '\uf4b9'),
    MDI_SOLID("mdi-solid", '\uf68c'),
    MDI_SORT("mdi-sort", '\uf4ba'),
    MDI_SORT_ALPHABETICAL("mdi-sort-alphabetical", '\uf4bb'),
    MDI_SORT_ASCENDING("mdi-sort-ascending", '\uf4bc'),
    MDI_SORT_DESCENDING("mdi-sort-descending", '\uf4bd'),
    MDI_SORT_NUMERIC("mdi-sort-numeric", '\uf4be'),
    MDI_SORT_VARIANT("mdi-sort-variant", '\uf4bf'),
    MDI_SOUNDCLOUD("mdi-soundcloud", '\uf4c0'),
    MDI_SOURCE_BRANCH("mdi-source-branch", '\uf62c'),
    MDI_SOURCE_FORK("mdi-source-fork", '\uf4c1'),
    MDI_SOURCE_MERGE("mdi-source-merge", '\uf62d'),
    MDI_SOURCE_PULL("mdi-source-pull", '\uf4c2'),
    MDI_SPEAKER("mdi-speaker", '\uf4c3'),
    MDI_SPEAKER_OFF("mdi-speaker-off", '\uf4c4'),
    MDI_SPEEDOMETER("mdi-speedometer", '\uf4c5'),
    MDI_SPELLCHECK("mdi-spellcheck", '\uf4c6'),
    MDI_SPOTIFY("mdi-spotify", '\uf4c7'),
    MDI_SPOTLIGHT("mdi-spotlight", '\uf4c8'),
    MDI_SPOTLIGHT_BEAM("mdi-spotlight-beam", '\uf4c9'),
    MDI_SPRAY("mdi-spray", '\uf665'),
    MDI_SQUARE_INC("mdi-square-inc", '\uf4ca'),
    MDI_SQUARE_INC_CASH("mdi-square-inc-cash", '\uf4cb'),
    MDI_STACKEXCHANGE("mdi-stackexchange", '\uf60b'),
    MDI_STACKOVERFLOW("mdi-stackoverflow", '\uf4cc'),
    MDI_STAIRS("mdi-stairs", '\uf4cd'),
    MDI_STAR("mdi-star", '\uf4ce'),
    MDI_STAR_CIRCLE("mdi-star-circle", '\uf4cf'),
    MDI_STAR_HALF("mdi-star-half", '\uf4d0'),
    MDI_STAR_OFF("mdi-star-off", '\uf4d1'),
    MDI_STAR_OUTLINE("mdi-star-outline", '\uf4d2'),
    MDI_STEAM("mdi-steam", '\uf4d3'),
    MDI_STEERING("mdi-steering", '\uf4d4'),
    MDI_STEP_BACKWARD("mdi-step-backward", '\uf4d5'),
    MDI_STEP_BACKWARD_2("mdi-step-backward-2", '\uf4d6'),
    MDI_STEP_FORWARD("mdi-step-forward", '\uf4d7'),
    MDI_STEP_FORWARD_2("mdi-step-forward-2", '\uf4d8'),
    MDI_STETHOSCOPE("mdi-stethoscope", '\uf4d9'),
    MDI_STICKER("mdi-sticker", '\uf5d0'),
    MDI_STOCKING("mdi-stocking", '\uf4da'),
    MDI_STOP("mdi-stop", '\uf4db'),
    MDI_STOP_CIRCLE("mdi-stop-circle", '\uf666'),
    MDI_STOP_CIRCLE_OUTLINE("mdi-stop-circle-outline", '\uf667'),
    MDI_STORE("mdi-store", '\uf4dc'),
    MDI_STORE_24_HOUR("mdi-store-24-hour", '\uf4dd'),
    MDI_STOVE("mdi-stove", '\uf4de'),
    MDI_SUBDIRECTORY_ARROW_LEFT("mdi-subdirectory-arrow-left", '\uf60c'),
    MDI_SUBDIRECTORY_ARROW_RIGHT("mdi-subdirectory-arrow-right", '\uf60d'),
    MDI_SUBWAY("mdi-subway", '\uf6ab'),
    MDI_SUBWAY_VARIANT("mdi-subway-variant", '\uf4df'),
    MDI_SUNGLASSES("mdi-sunglasses", '\uf4e0'),
    MDI_SURROUND_SOUND("mdi-surround-sound", '\uf5c5'),
    MDI_SWAP_HORIZONTAL("mdi-swap-horizontal", '\uf4e1'),
    MDI_SWAP_VERTICAL("mdi-swap-vertical", '\uf4e2'),
    MDI_SWIM("mdi-swim", '\uf4e3'),
    MDI_SWITCH("mdi-switch", '\uf4e4'),
    MDI_SWORD("mdi-sword", '\uf4e5'),
    MDI_SYNC("mdi-sync", '\uf4e6'),
    MDI_SYNC_ALERT("mdi-sync-alert", '\uf4e7'),
    MDI_SYNC_OFF("mdi-sync-off", '\uf4e8'),
    MDI_TAB("mdi-tab", '\uf4e9'),
    MDI_TABLE("mdi-table", '\uf4eb'),
    MDI_TABLET("mdi-tablet", '\uf4f6'),
    MDI_TABLET_ANDROID("mdi-tablet-android", '\uf4f7'),
    MDI_TABLET_IPAD("mdi-tablet-ipad", '\uf4f8'),
    MDI_TABLE_COLUMN_PLUS_AFTER("mdi-table-column-plus-after", '\uf4ec'),
    MDI_TABLE_COLUMN_PLUS_BEFORE("mdi-table-column-plus-before", '\uf4ed'),
    MDI_TABLE_COLUMN_REMOVE("mdi-table-column-remove", '\uf4ee'),
    MDI_TABLE_COLUMN_WIDTH("mdi-table-column-width", '\uf4ef'),
    MDI_TABLE_EDIT("mdi-table-edit", '\uf4f0'),
    MDI_TABLE_LARGE("mdi-table-large", '\uf4f1'),
    MDI_TABLE_ROW_HEIGHT("mdi-table-row-height", '\uf4f2'),
    MDI_TABLE_ROW_PLUS_AFTER("mdi-table-row-plus-after", '\uf4f3'),
    MDI_TABLE_ROW_PLUS_BEFORE("mdi-table-row-plus-before", '\uf4f4'),
    MDI_TABLE_ROW_REMOVE("mdi-table-row-remove", '\uf4f5'),
    MDI_TAB_UNSELECTED("mdi-tab-unselected", '\uf4ea'),
    MDI_TAG("mdi-tag", '\uf4f9'),
    MDI_TAG_FACES("mdi-tag-faces", '\uf4fa'),
    MDI_TAG_HEART("mdi-tag-heart", '\uf68a'),
    MDI_TAG_MULTIPLE("mdi-tag-multiple", '\uf4fb'),
    MDI_TAG_OUTLINE("mdi-tag-outline", '\uf4fc'),
    MDI_TAG_TEXT_OUTLINE("mdi-tag-text-outline", '\uf4fd'),
    MDI_TARGET("mdi-target", '\uf4fe'),
    MDI_TAXI("mdi-taxi", '\uf4ff'),
    MDI_TEAMVIEWER("mdi-teamviewer", '\uf500'),
    MDI_TELEGRAM("mdi-telegram", '\uf501'),
    MDI_TELEVISION("mdi-television", '\uf502'),
    MDI_TELEVISION_GUIDE("mdi-television-guide", '\uf503'),
    MDI_TEMPERATURE_CELSIUS("mdi-temperature-celsius", '\uf504'),
    MDI_TEMPERATURE_FAHRENHEIT("mdi-temperature-fahrenheit", '\uf505'),
    MDI_TEMPERATURE_KELVIN("mdi-temperature-kelvin", '\uf506'),
    MDI_TENNIS("mdi-tennis", '\uf507'),
    MDI_TENT("mdi-tent", '\uf508'),
    MDI_TERRAIN("mdi-terrain", '\uf509'),
    MDI_TEST_TUBE("mdi-test-tube", '\uf668'),
    MDI_TEXTBOX("mdi-textbox", '\uf60e'),
    MDI_TEXTURE("mdi-texture", '\uf50c'),
    MDI_TEXT_SHADOW("mdi-text-shadow", '\uf669'),
    MDI_TEXT_TO_SPEECH("mdi-text-to-speech", '\uf50a'),
    MDI_TEXT_TO_SPEECH_OFF("mdi-text-to-speech-off", '\uf50b'),
    MDI_THEATER("mdi-theater", '\uf50d'),
    MDI_THEME_LIGHT_DARK("mdi-theme-light-dark", '\uf50e'),
    MDI_THERMOMETER("mdi-thermometer", '\uf50f'),
    MDI_THERMOMETER_LINES("mdi-thermometer-lines", '\uf510'),
    MDI_THUMBS_UP_DOWN("mdi-thumbs-up-down", '\uf515'),
    MDI_THUMB_DOWN("mdi-thumb-down", '\uf511'),
    MDI_THUMB_DOWN_OUTLINE("mdi-thumb-down-outline", '\uf512'),
    MDI_THUMB_UP("mdi-thumb-up", '\uf513'),
    MDI_THUMB_UP_OUTLINE("mdi-thumb-up-outline", '\uf514'),
    MDI_TICKET("mdi-ticket", '\uf516'),
    MDI_TICKET_ACCOUNT("mdi-ticket-account", '\uf517'),
    MDI_TICKET_CONFIRMATION("mdi-ticket-confirmation", '\uf518'),
    MDI_TIE("mdi-tie", '\uf519'),
    MDI_TIMELAPSE("mdi-timelapse", '\uf51a'),
    MDI_TIMER("mdi-timer", '\uf51b'),
    MDI_TIMER_10("mdi-timer-10", '\uf51c'),
    MDI_TIMER_3("mdi-timer-3", '\uf51d'),
    MDI_TIMER_OFF("mdi-timer-off", '\uf51e'),
    MDI_TIMER_SAND("mdi-timer-sand", '\uf51f'),
    MDI_TIMER_SAND_EMPTY("mdi-timer-sand-empty", '\uf6ac'),
    MDI_TIMETABLE("mdi-timetable", '\uf520'),
    MDI_TOGGLE_SWITCH("mdi-toggle-switch", '\uf521'),
    MDI_TOGGLE_SWITCH_OFF("mdi-toggle-switch-off", '\uf522'),
    MDI_TOOLTIP("mdi-tooltip", '\uf523'),
    MDI_TOOLTIP_EDIT("mdi-tooltip-edit", '\uf524'),
    MDI_TOOLTIP_IMAGE("mdi-tooltip-image", '\uf525'),
    MDI_TOOLTIP_OUTLINE("mdi-tooltip-outline", '\uf526'),
    MDI_TOOLTIP_OUTLINE_PLUS("mdi-tooltip-outline-plus", '\uf527'),
    MDI_TOOLTIP_TEXT("mdi-tooltip-text", '\uf528'),
    MDI_TOOTH("mdi-tooth", '\uf529'),
    MDI_TOR("mdi-tor", '\uf52a'),
    MDI_TOWER_BEACH("mdi-tower-beach", '\uf680'),
    MDI_TOWER_FIRE("mdi-tower-fire", '\uf681'),
    MDI_TRAFFIC_LIGHT("mdi-traffic-light", '\uf52b'),
    MDI_TRAIN("mdi-train", '\uf52c'),
    MDI_TRAM("mdi-tram", '\uf52d'),
    MDI_TRANSCRIBE("mdi-transcribe", '\uf52e'),
    MDI_TRANSCRIBE_CLOSE("mdi-transcribe-close", '\uf52f'),
    MDI_TRANSFER("mdi-transfer", '\uf530'),
    MDI_TRANSIT_TRANSFER("mdi-transit-transfer", '\uf6ad'),
    MDI_TRANSLATE("mdi-translate", '\uf5ca'),
    MDI_TREE("mdi-tree", '\uf531'),
    MDI_TRELLO("mdi-trello", '\uf532'),
    MDI_TRENDING_DOWN("mdi-trending-down", '\uf533'),
    MDI_TRENDING_NEUTRAL("mdi-trending-neutral", '\uf534'),
    MDI_TRENDING_UP("mdi-trending-up", '\uf535'),
    MDI_TRIANGLE("mdi-triangle", '\uf536'),
    MDI_TRIANGLE_OUTLINE("mdi-triangle-outline", '\uf537'),
    MDI_TROPHY("mdi-trophy", '\uf538'),
    MDI_TROPHY_AWARD("mdi-trophy-award", '\uf539'),
    MDI_TROPHY_OUTLINE("mdi-trophy-outline", '\uf53a'),
    MDI_TROPHY_VARIANT("mdi-trophy-variant", '\uf53b'),
    MDI_TROPHY_VARIANT_OUTLINE("mdi-trophy-variant-outline", '\uf53c'),
    MDI_TRUCK("mdi-truck", '\uf53d'),
    MDI_TRUCK_DELIVERY("mdi-truck-delivery", '\uf53e'),
    MDI_TSHIRT_CREW("mdi-tshirt-crew", '\uf53f'),
    MDI_TSHIRT_V("mdi-tshirt-v", '\uf540'),
    MDI_TUMBLR("mdi-tumblr", '\uf541'),
    MDI_TUMBLR_REBLOG("mdi-tumblr-reblog", '\uf542'),
    MDI_TUNE("mdi-tune", '\uf62e'),
    MDI_TUNE_VERTICAL("mdi-tune-vertical", '\uf66a'),
    MDI_TWITCH("mdi-twitch", '\uf543'),
    MDI_TWITTER("mdi-twitter", '\uf544'),
    MDI_TWITTER_BOX("mdi-twitter-box", '\uf545'),
    MDI_TWITTER_CIRCLE("mdi-twitter-circle", '\uf546'),
    MDI_TWITTER_RETWEET("mdi-twitter-retweet", '\uf547'),
    MDI_UBUNTU("mdi-ubuntu", '\uf548'),
    MDI_UMBRACO("mdi-umbraco", '\uf549'),
    MDI_UMBRELLA("mdi-umbrella", '\uf54a'),
    MDI_UMBRELLA_OUTLINE("mdi-umbrella-outline", '\uf54b'),
    MDI_UNDO("mdi-undo", '\uf54c'),
    MDI_UNDO_VARIANT("mdi-undo-variant", '\uf54d'),
    MDI_UNFOLD_LESS("mdi-unfold-less", '\uf54e'),
    MDI_UNFOLD_MORE("mdi-unfold-more", '\uf54f'),
    MDI_UNGROUP("mdi-ungroup", '\uf550'),
    MDI_UNITY("mdi-unity", '\uf6ae'),
    MDI_UNTAPPD("mdi-untappd", '\uf551'),
    MDI_UPDATE("mdi-update", '\uf6af'),
    MDI_UPLOAD("mdi-upload", '\uf552'),
    MDI_USB("mdi-usb", '\uf553'),
    MDI_VECTOR_ARRANGE_ABOVE("mdi-vector-arrange-above", '\uf554'),
    MDI_VECTOR_ARRANGE_BELOW("mdi-vector-arrange-below", '\uf555'),
    MDI_VECTOR_CIRCLE("mdi-vector-circle", '\uf556'),
    MDI_VECTOR_CIRCLE_VARIANT("mdi-vector-circle-variant", '\uf557'),
    MDI_VECTOR_COMBINE("mdi-vector-combine", '\uf558'),
    MDI_VECTOR_CURVE("mdi-vector-curve", '\uf559'),
    MDI_VECTOR_DIFFERENCE("mdi-vector-difference", '\uf55a'),
    MDI_VECTOR_DIFFERENCE_AB("mdi-vector-difference-ab", '\uf55b'),
    MDI_VECTOR_DIFFERENCE_BA("mdi-vector-difference-ba", '\uf55c'),
    MDI_VECTOR_INTERSECTION("mdi-vector-intersection", '\uf55d'),
    MDI_VECTOR_LINE("mdi-vector-line", '\uf55e'),
    MDI_VECTOR_POINT("mdi-vector-point", '\uf55f'),
    MDI_VECTOR_POLYGON("mdi-vector-polygon", '\uf560'),
    MDI_VECTOR_POLYLINE("mdi-vector-polyline", '\uf561'),
    MDI_VECTOR_RECTANGLE("mdi-vector-rectangle", '\uf5c6'),
    MDI_VECTOR_SELECTION("mdi-vector-selection", '\uf562'),
    MDI_VECTOR_SQUARE("mdi-vector-square", '\uf001'),
    MDI_VECTOR_TRIANGLE("mdi-vector-triangle", '\uf563'),
    MDI_VECTOR_UNION("mdi-vector-union", '\uf564'),
    MDI_VERIFIED("mdi-verified", '\uf565'),
    MDI_VIBRATE("mdi-vibrate", '\uf566'),
    MDI_VIDEO("mdi-video", '\uf567'),
    MDI_VIDEO_OFF("mdi-video-off", '\uf568'),
    MDI_VIDEO_SWITCH("mdi-video-switch", '\uf569'),
    MDI_VIEW_AGENDA("mdi-view-agenda", '\uf56a'),
    MDI_VIEW_ARRAY("mdi-view-array", '\uf56b'),
    MDI_VIEW_CAROUSEL("mdi-view-carousel", '\uf56c'),
    MDI_VIEW_COLUMN("mdi-view-column", '\uf56d'),
    MDI_VIEW_DASHBOARD("mdi-view-dashboard", '\uf56e'),
    MDI_VIEW_DAY("mdi-view-day", '\uf56f'),
    MDI_VIEW_GRID("mdi-view-grid", '\uf570'),
    MDI_VIEW_HEADLINE("mdi-view-headline", '\uf571'),
    MDI_VIEW_LIST("mdi-view-list", '\uf572'),
    MDI_VIEW_MODULE("mdi-view-module", '\uf573'),
    MDI_VIEW_QUILT("mdi-view-quilt", '\uf574'),
    MDI_VIEW_STREAM("mdi-view-stream", '\uf575'),
    MDI_VIEW_WEEK("mdi-view-week", '\uf576'),
    MDI_VIMEO("mdi-vimeo", '\uf577'),
    MDI_VINE("mdi-vine", '\uf578'),
    MDI_VIOLIN("mdi-violin", '\uf60f'),
    MDI_VISUALSTUDIO("mdi-visualstudio", '\uf610'),
    MDI_VK("mdi-vk", '\uf579'),
    MDI_VK_BOX("mdi-vk-box", '\uf57a'),
    MDI_VK_CIRCLE("mdi-vk-circle", '\uf57b'),
    MDI_VLC("mdi-vlc", '\uf57c'),
    MDI_VOICE("mdi-voice", '\uf5cb'),
    MDI_VOICEMAIL("mdi-voicemail", '\uf57d'),
    MDI_VOLUME_HIGH("mdi-volume-high", '\uf57e'),
    MDI_VOLUME_LOW("mdi-volume-low", '\uf57f'),
    MDI_VOLUME_MEDIUM("mdi-volume-medium", '\uf580'),
    MDI_VOLUME_OFF("mdi-volume-off", '\uf581'),
    MDI_VPN("mdi-vpn", '\uf582'),
    MDI_WALK("mdi-walk", '\uf583'),
    MDI_WALLET("mdi-wallet", '\uf584'),
    MDI_WALLET_GIFTCARD("mdi-wallet-giftcard", '\uf585'),
    MDI_WALLET_MEMBERSHIP("mdi-wallet-membership", '\uf586'),
    MDI_WALLET_TRAVEL("mdi-wallet-travel", '\uf587'),
    MDI_WAN("mdi-wan", '\uf588'),
    MDI_WATCH("mdi-watch", '\uf589'),
    MDI_WATCH_EXPORT("mdi-watch-export", '\uf58a'),
    MDI_WATCH_IMPORT("mdi-watch-import", '\uf58b'),
    MDI_WATCH_VIBRATE("mdi-watch-vibrate", '\uf6b0'),
    MDI_WATER("mdi-water", '\uf58c'),
    MDI_WATERMARK("mdi-watermark", '\uf612'),
    MDI_WATER_OFF("mdi-water-off", '\uf58d'),
    MDI_WATER_PERCENT("mdi-water-percent", '\uf58e'),
    MDI_WATER_PUMP("mdi-water-pump", '\uf58f'),
    MDI_WEATHER_CLOUDY("mdi-weather-cloudy", '\uf590'),
    MDI_WEATHER_FOG("mdi-weather-fog", '\uf591'),
    MDI_WEATHER_HAIL("mdi-weather-hail", '\uf592'),
    MDI_WEATHER_LIGHTNING("mdi-weather-lightning", '\uf593'),
    MDI_WEATHER_LIGHTNING_RAINY("mdi-weather-lightning-rainy", '\uf67d'),
    MDI_WEATHER_NIGHT("mdi-weather-night", '\uf594'),
    MDI_WEATHER_PARTLYCLOUDY("mdi-weather-partlycloudy", '\uf595'),
    MDI_WEATHER_POURING("mdi-weather-pouring", '\uf596'),
    MDI_WEATHER_RAINY("mdi-weather-rainy", '\uf597'),
    MDI_WEATHER_SNOWY("mdi-weather-snowy", '\uf598'),
    MDI_WEATHER_SNOWY_RAINY("mdi-weather-snowy-rainy", '\uf67e'),
    MDI_WEATHER_SUNNY("mdi-weather-sunny", '\uf599'),
    MDI_WEATHER_SUNSET("mdi-weather-sunset", '\uf59a'),
    MDI_WEATHER_SUNSET_DOWN("mdi-weather-sunset-down", '\uf59b'),
    MDI_WEATHER_SUNSET_UP("mdi-weather-sunset-up", '\uf59c'),
    MDI_WEATHER_WINDY("mdi-weather-windy", '\uf59d'),
    MDI_WEATHER_WINDY_VARIANT("mdi-weather-windy-variant", '\uf59e'),
    MDI_WEB("mdi-web", '\uf59f'),
    MDI_WEBCAM("mdi-webcam", '\uf5a0'),
    MDI_WEBHOOK("mdi-webhook", '\uf62f'),
    MDI_WECHAT("mdi-wechat", '\uf611'),
    MDI_WEIGHT("mdi-weight", '\uf5a1'),
    MDI_WEIGHT_KILOGRAM("mdi-weight-kilogram", '\uf5a2'),
    MDI_WHATSAPP("mdi-whatsapp", '\uf5a3'),
    MDI_WHEELCHAIR_ACCESSIBILITY("mdi-wheelchair-accessibility", '\uf5a4'),
    MDI_WHITE_BALANCE_AUTO("mdi-white-balance-auto", '\uf5a5'),
    MDI_WHITE_BALANCE_INCANDESCENT("mdi-white-balance-incandescent", '\uf5a6'),
    MDI_WHITE_BALANCE_IRIDESCENT("mdi-white-balance-iridescent", '\uf5a7'),
    MDI_WHITE_BALANCE_SUNNY("mdi-white-balance-sunny", '\uf5a8'),
    MDI_WIFI("mdi-wifi", '\uf5a9'),
    MDI_WIFI_OFF("mdi-wifi-off", '\uf5aa'),
    MDI_WII("mdi-wii", '\uf5ab'),
    MDI_WIKIPEDIA("mdi-wikipedia", '\uf5ac'),
    MDI_WINDOWS("mdi-windows", '\uf5b3'),
    MDI_WINDOW_CLOSE("mdi-window-close", '\uf5ad'),
    MDI_WINDOW_CLOSED("mdi-window-closed", '\uf5ae'),
    MDI_WINDOW_MAXIMIZE("mdi-window-maximize", '\uf5af'),
    MDI_WINDOW_MINIMIZE("mdi-window-minimize", '\uf5b0'),
    MDI_WINDOW_OPEN("mdi-window-open", '\uf5b1'),
    MDI_WINDOW_RESTORE("mdi-window-restore", '\uf5b2'),
    MDI_WORDPRESS("mdi-wordpress", '\uf5b4'),
    MDI_WORKER("mdi-worker", '\uf5b5'),
    MDI_WRAP("mdi-wrap", '\uf5b6'),
    MDI_WRENCH("mdi-wrench", '\uf5b7'),
    MDI_WUNDERLIST("mdi-wunderlist", '\uf5b8'),
    MDI_XAML("mdi-xaml", '\uf673'),
    MDI_XBOX("mdi-xbox", '\uf5b9'),
    MDI_XBOX_CONTROLLER("mdi-xbox-controller", '\uf5ba'),
    MDI_XBOX_CONTROLLER_OFF("mdi-xbox-controller-off", '\uf5bb'),
    MDI_XDA("mdi-xda", '\uf5bc'),
    MDI_XING("mdi-xing", '\uf5bd'),
    MDI_XING_BOX("mdi-xing-box", '\uf5be'),
    MDI_XING_CIRCLE("mdi-xing-circle", '\uf5bf'),
    MDI_XML("mdi-xml", '\uf5c0'),
    MDI_YEAST("mdi-yeast", '\uf5c1'),
    MDI_YELP("mdi-yelp", '\uf5c2'),
    MDI_YIN_YANG("mdi-yin-yang", '\uf67f'),
    MDI_YOUTUBE_PLAY("mdi-youtube-play", '\uf5c3'),
    MDI_ZIP_BOX("mdi-zip-box", '\uf5c4');

    public static MaterialDesign findByDescription(String description) {
        for (MaterialDesign font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    MaterialDesign(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}